Author: Jan Černý <jcerny@redhat.com>
Date:   Tue May 29 08:46:58 2018 +0200

    Bump soname from 8.14.0 to 8.14.1
    
    0 new symbols were added, 0 were removed.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon May 28 14:10:28 2018 +0200

    Update latest_fedora variable in release tools

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon May 28 13:58:11 2018 +0200

    Add Fedora 29 CPE
    
    Fedora 28 has been branched and also released.

Author: Martin Preisler <martin@preisler.me>
Date:   Fri May 25 15:13:57 2018 -0400

    Merge pull request #1039 from jan-cerny/small_fixes
    
    Small fixes

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri May 25 15:39:16 2018 +0200

    Merge 2 if statements
    
    Merging collapsible if statements increases the code's readability.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri May 25 15:36:08 2018 +0200

    Remove empty statement

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri May 25 10:20:26 2018 +0200

    Merge pull request #1035 from mpreisler/sonarcloud_fixes1
    
    Sonarcloud fixes1

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri May 18 14:05:45 2018 -0400

    Use strncpy instead of strcpy
    
    This is really just to make static analysis tools happy, we have control over
    the literal.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri May 18 13:54:01 2018 -0400

    Initialize oval_variable to avoid using uninitialized memory

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri May 18 13:24:14 2018 -0400

    Remove useless self assignment

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed May 16 13:20:35 2018 +0200

    Merge pull request #1031 from matejak/foreign_ci3
    
    Add CI / coverage support for OpenSCAP (simple setup)

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri May 11 15:37:59 2018 +0200

    Added coverage support.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu May 10 11:52:17 2018 +0200

    Added CI stuff.

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Thu May 10 13:30:25 2018 +0200

    Merge pull request #1030 from jan-cerny/remove_oval_probes_py
    
    Remove basic Python implementation of oval_probes.c

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu May 10 09:22:06 2018 +0200

    Remove basic Python implementation of oval_probes.c
    
    This example doesn't work in any version of Python, is very outdated,
    and doesn't demonstrate good practices. We have decided to remove it.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed May 9 13:08:21 2018 +0200

    Use if-else instead of a ternary operator
    
    This makes the code more readable.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri May 4 14:02:05 2018 +0200

    Use items() method instead of iteritems() to iterate dictionary
    
    iteritems() is not available in Python 3, items() is available
    in both Python 2 and 3

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri May 4 13:51:33 2018 +0200

    Do not use deprecated dict.has_key() method
    
    This method was removed in Python 3.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri May 4 13:41:35 2018 +0200

    Use items() method instead of iteritems() to iterate dictionary
    
    iteritems() is not available in Python 3, items() is available
    in both Python 2 and 3

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Wed May 9 11:05:10 2018 +0200

    Merge pull request #1017 from JennyUWaterloo/fix_1016
    
    Add possibility to choose temp directory.
    
    This is beneficial when one wants to set the directory path for SCE to store and execute script files somewhere else than in /tmp.

Author: Nitin Ravindran <nravindran@pivotal.io>
Date:   Fri May 4 15:02:55 2018 -0400

    renaming SCE_SCRIPT_DIR to OSCAP_TEMP_DIR
    
    Signed-off-by: Yoon Jean Kim <ykim@pivotal.io>

Author: Jan Cerny <jcerny@redhat.com>
Date:   Thu May 3 14:59:24 2018 +0200

    Do not copypaste text from OVAL specification

Author: Jan Cerny <jcerny@redhat.com>
Date:   Thu May 3 14:58:22 2018 +0200

    Get ent_check only if the record field is state

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu May 3 12:49:40 2018 +0200

    Create an auxiliary data structure an function from the iterator
    
    This makes the code mode clearer. The data structure wraps everything
    we need in the comparison and the function produces this structure
    from the currently iterated element.

Author: Jan Cerny <jcerny@redhat.com>
Date:   Fri Apr 27 11:19:57 2018 +0200

    Support comparing state record elements with OVAL state
    
    Some probes can produce an OVAL item that contains a record element. In
    some OVAL tests the OVAL state contains record element. To evaluate the
    OVAL test, we need to compare OVAL state with OVAL item. Therefore we
    need to compare the record element in the OVAL state with the record
    element in the OVAL item produced by probe. Unfortunately, the 2 record
    elements comparison have not been implemented in OpenSCAP yet, so I have
    done a basic implementation of the 2 record comparison in this commit.
    See
    https://oval.mitre.org/language/version5.11/ovaldefinition/documentation/oval-definitions-schema.html#EntityStateRecordType
    I have checked this code with Windows WMI57 probe.
    
    Addressing:
    Definition oval:mil.disa.stig.windows:def:165: error
    OpenSCAP Error: OVAL internal error: found NULL entity value
    [C:\devel\openscap\src\OVAL\results\oval_resultTest.c:463]

Author: Martin Preisler <martin@preisler.me>
Date:   Sun Apr 29 12:54:09 2018 -0400

    Merge pull request #1025 from jan-cerny/issue1023
    
    Remove '\r' characters from help output

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Apr 27 14:10:43 2018 +0200

    Remove '\r' characters from help output
    
    Instead of a hack with '\r\t\t\t\t' we will indent the help options manually.
    Fixes #1023.

Author: Jan Cerny <jcerny@redhat.com>
Date:   Thu Apr 19 15:41:21 2018 +0200

    Fix coversion of SEXP to struct oval_record_field
    
    The member name of struct oval_record_field should contain
    the value of 'name' attribute of the OVAL 'field' element.
    However, it was populated by name of the element, which is
    always 'field'. The values were present in SEXP, but due to
    this bug, the value of name attribute got lost at this place.
    Before:
    <field name="field">Brno</field>
    After:
    <field name="city">Brno</field>

Author: Jan Cerny <jcerny@redhat.com>
Date:   Thu Apr 19 16:09:00 2018 +0200

    Fix namespace of OVAL record field element
    
    The field element should not have same namespace as its parent
    element. It should have oval-system-characteristics namespace
    instead. This bug is caused by wrong usage of xmlSearchNsByHref
    function, which should have the current mode, not the root node,
    as argument.
    Addressing:
    File 'results.xml' line 113: Element
    '{http://oval.mitre.org/XMLSchema/oval-system-characteristics-5#windows}field':
    This element is not expected. Expected is (
    {http://oval.mitre.org/XMLSchema/oval-system-characteristics-5}field ).
    OpenSCAP Error: Invalid OVAL Results (5.11.1) content in results.xml.
    [oscap_source.c:342]

Author: Yoon Jean Kim <ykim@pivotal.io>
Date:   Wed Apr 25 11:15:26 2018 -0400

    Add --with-sce-script-dir to configure.ac.tpl

Author: Yoon Jean Kim <ykim@pivotal.io>
Date:   Fri Apr 20 13:16:17 2018 -0400

    Escape quotes around SCE_SCRIPT_DIR path in configure.ac

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Apr 20 12:50:57 2018 -0400

    Merge pull request #1015 from matejak/pep8fix
    
    Added 99-width PEP8 config.

Author: Yoon Jean Kim <ykim@pivotal.io>
Date:   Thu Apr 19 15:07:48 2018 -0400

    Adding with-sce-script-dir flag to configure.ac. Fixes #1016
    
    Signed-off-by: Conor Nosal <cnosal@pivotal.io>

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Apr 20 18:23:22 2018 +0200

    Added 99-width PEP8 config.

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Thu Apr 19 10:43:28 2018 +0200

    Merge pull request #1013 from mpreisler/use_chroot_for_rpm_probes
    
    Use chroot offline mode for rpm probes

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Apr 19 04:18:44 2018 -0400

    Use chroot offline mode for rpminfo.c as well
    
    It's also using rpmtsSetRootDir. See previous commit.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Apr 18 12:12:16 2018 -0400

    Use chroot offline mode for rpm probes
    
    We thought the OWN mode would work because rpmtsSetRootDir seems well
    suited for it. However rpmtsSetRootDir is not 100% supported by librpm
    so it causes false-positives and false-negatives. Let's switch back to
    chroot mode until this is fixed in librpm.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Apr 3 13:56:21 2018 -0400

    Merge pull request #1005 from matejak/out--of-tree-tests
    
    Made make check pass on out-of-tree builds.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Apr 3 17:26:54 2018 +0200

    Fixed the test_common.sh source command.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Mar 28 17:34:40 2018 +0200

    Made make distcheck to work.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Mar 28 14:24:10 2018 +0200

    Made make check pass on out-of-tree builds.

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Mar 29 10:11:08 2018 -0400

    Merge pull request #1002 from jan-cerny/issue1001
    
    Fix offline scan in probes

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 29 10:16:41 2018 +0200

    Rename offline mode tests

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 22:56:58 2018 +0200

    Improve documentation comments

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 22:37:51 2018 +0200

    Introduce oscap_path_join
    
    Joins two paths, making sure that there is exactly 1 slash separator
    between them.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 17:25:03 2018 +0200

    Add a comment about prefix lenght

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 17:15:56 2018 +0200

    Use FILE_SEPARATOR instead of hardcoded FILE_SEPARATOR

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 17:13:50 2018 +0200

    Use FILE_SEPARATOR instead of hardcoded FILE_SEPARATOR

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 17:10:22 2018 +0200

    Remove an informational message about file opening

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 17:05:27 2018 +0200

    Remove message

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 28 13:27:55 2018 +0200

    Add a simple regression test for issue 1001
    
    Creates 2 dummy files under a temp directory, exports
    OSCAP_PROBE_ROOT and runs oscap, then checks that those 2
    files were read.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 14:58:10 2018 +0200

    Convert selinuxsecuritycontext probe to OWN offline mode
    
    However it shows the contexts from the host's point of view,
    for example for mounted containers we get system_u:object_r:container_share_t

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 14:35:03 2018 +0200

    Convert fileextendedattribute probe to OWN offline mode

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 13:30:13 2018 +0200

    Convert file probe to OWN offline mode

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 12:53:44 2018 +0200

    Convert xmlfilecontent probe to OWN offline mode

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 12:28:59 2018 +0200

    Add OWN offline mode in filehash58 probe

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 12:28:04 2018 +0200

    Add OWN offline mode in filehash probe

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 10:43:11 2018 +0200

    Do not break API

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 27 09:52:09 2018 +0200

    Fix swapped pointers in strncpy

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 26 21:08:36 2018 +0200

    Change textfilecontent(54) probes to not use chroot
    
    Adds a new parameter, 'prefix' to process file and to oval_fts_open.
    This prefix is added to the FTS paths, and then removed from FTS paths,
    and the added to lstat(), and open() calls. The prefix should not appear
    in the OVAL results document, so that the user will feel like it has
    chroot()ed. But chroot() is not used at all in these probes anymore.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 26 19:38:13 2018 +0200

    Add a new paramter "prefix" to oval_fts_open

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 26 08:56:33 2018 +0200

    Revert "Enables offline scan without chroot in textfilecontent and textfilecontent54 probes"
    
    This reverts commit 908d002c68e43a3d3c3bede128c535fbee815a10.
    Fixes #1001.

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Wed Mar 28 11:45:40 2018 +0200

    Merge pull request #1000 from jan-cerny/improve_offline_mode
    
    Improve offline mode

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Mar 27 12:03:57 2018 -0400

    Merge pull request #1003 from jlcharton/patch-2
    
    Avoid passing NULL parameters to oscap_seterr

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 19:01:32 2018 +0100

    Fix code style

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 17:25:08 2018 +0100

    Replace global variable OSCAP_GSYM(offline_mode)
    
    Instead, pass the selected offline to probe_main() function
    via the probe context (probe_ctx structure). Making global variables
    local will help us to merge everything in a single process later.
    This commit also adds a few verbose mode messages.

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 16:22:24 2018 +0100

    Remove global variable OSCAP_GSYM(offline_mode_cobjflag)
    
    This global variable is set only at one place to a constant value.
    We don't need to have a variable for that.

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 16:16:58 2018 +0100

    Improve offline mode logic
    
    Introduces a new member of the probe_t structure, that will
    be set to true if the offline mode was requested, otherwise false.

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 15:38:53 2018 +0100

    Make offline_mode_supported a local variable
    
    Instead of using a global variable, we can store the supported
    offline mode in the probe_t structure to pass it to the probe
    input handler. Making this vlaue local will help us to prevent
    clashes when we move to a single process architecture in master.

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 11:31:52 2018 +0100

    Use OSCAP_GSYM to get offline mode in system info probe
    
    This is consistent with how other probes are using it.
    It is the only place where this option was get.

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 11:14:35 2018 +0100

    Do not set supported offline mode in probe_init
    
    The probe_init is called in probe_main *after* the supported
    offline mode are checked. This is very confusing, therefore
    we should always declare the supported offline mode at right
    place -- in probe_offline_mode_supported() and not in probe_init.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 22 16:30:15 2018 +0100

    Move responsibility for setting PROBEOPT_OFFLINE_MODE_SUPPORTED to main
    
    Instead of setting the probe option in each probe, we add a function
    that returns supported offline mode for the given probe, and the probe
    option will be set in main().

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Tue Mar 27 17:12:06 2018 +0200

    Merge pull request #999 from jan-cerny/fix_offline_system_info
    
    Change offline mode in system info probe to not use chroot()

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Tue Mar 27 13:52:04 2018 +0000

    Avoid passing NULL parameters to oscap_seterr
    
    While some platforms (e.g. Linux) accept stuff like printf("%s\n", NULL) others (e.g. Solaris) don't like this and raise a SIGSEGV.

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 14:04:23 2018 +0100

    Fix a make distcheck

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Mar 24 09:25:07 2018 +0100

    Add a simple system_info probe offline mode test

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Mar 23 11:04:31 2018 +0100

    Merge pull request #997 from matejak/python-autoconf-fix
    
    Refactored the Python handling in build scripts.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 22 15:16:46 2018 +0100

    Use oscap_sprintf insted of strncpy

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 22 15:04:59 2018 +0100

    Add a const modifier

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 22 14:52:25 2018 +0100

    Refactor: Extract function _fopen_with_prefix

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 22 14:29:08 2018 +0100

    Rename functions in system_info probe
    
    These functions don't use chroot anymore, so the names started
    to be very confusing.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 21 19:29:37 2018 +0100

    Change system info probe to use OWN offline mode
    
    Replaces CHROOT offline mode. System info probe won't call chroot()
    in offline mode anymore, but it will add a prefix to file paths instead.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 21 14:55:51 2018 +0100

    Announce supported offline mode at right place
    
    The supported mode should be advertised by probes in probe_offline_mode()
    function, and not in probe_init function(). That's because the offline mode
    flags PROBE_OFFLINE.* are checked in main() after probe_offline_mode() is
    called, but before probe_init() is called, therefore setting the
    flags in probe_init doesn't have the desired effect. In fact, system_info
    probe supports only PROBE_OFFLINE_CHROOT mode, not PROBE_OFFLINE_ALL, as it
    was set here before.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Mar 21 13:53:16 2018 +0100

    Readded export of preferred_python variable.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Mar 21 11:06:04 2018 +0100

    Made the check for oscap-docker requirement less strict.
    
    The script won't abort if there is no Python interpreter that can import Atomic.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Mar 21 10:36:59 2018 +0100

    Made the configure macros work with old versions of autoconf.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Mar 20 14:43:35 2018 +0100

    Refactored the Python handling in build scripts.
    
    * Stock AM_PATH_PYTHON that comes with Automake was refactored
      to be able to treat different Python interpreter major versions separately.
    * The default treatment of Python bindings changed to "build if possible".
    * The build system now exposes PYTHON2_CFLAGS etc. instead of PYTHON_CFLAGS.
    * The "preferred_python" for oscap-docker is now selected by checking
      for the Atomic module availability, prioritizing Python3 over Python2.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Mar 16 09:01:27 2018 +0100

    Merge pull request #992 from matejak/autoconf-pthreads
    
    Outsourced the pthreads feature check and setup.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 14 18:26:50 2018 +0100

    Merge pull request #996 from mpreisler/avoid_repeated_getenv_in_sexp_validate
    
    Don't repeatedly call getenv in SEXP_VALIDATE

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Mar 14 12:28:47 2018 -0400

    Don't repeatedly call getenv in SEXP_VALIDATE

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Mar 12 17:37:07 2018 -0400

    Merge pull request #983 from redhatrises/update_guide_impl
    
    Update the XCCDF HTML Guide XSLT

Author: Gabe <redhatrises@gmail.com>
Date:   Mon Mar 12 12:52:05 2018 -0600

    Remove Search functions from HTML guide for separate PR

Author: Gabe <redhatrises@gmail.com>
Date:   Mon Mar 12 12:37:57 2018 -0600

    Add comment to report XSL for hidden div

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Mar 5 17:19:03 2018 +0100

    Outsourced the pthreads feature check and setup.
    
    Moved from our custom autoconf code to a specialized macro from the archive
    http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pthread.m4

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Mar 2 15:47:26 2018 +0100

    Merge pull request #991 from jlcharton/patch-2
    
    Fix unknown subtype handling in oval_subtype_parse

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Mar 2 12:14:36 2018 +0000

    Fix unknown subtype handling in oval_subtype_parse
    
    See #986 discussion

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Mar 1 11:53:01 2018 -0500

    Merge pull request #990 from matejak/python-autoconf-fix
    
    Increased robustness of configure script regarding to Python.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Mar 1 16:44:01 2018 +0100

    Increased robustness of configure script regarding to Python.
    
    When requiring python2 bindings and no python2 interpreter is available,
    the configure script will abort with an error message.
    The configure.ac template for python3 has been slightly refactored.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Feb 28 14:08:02 2018 -0500

    Merge pull request #989 from redhatrises/fix_info_formatting
    
    Add a newline between ids in xccdf info

Author: Gabe <redhatrises@gmail.com>
Date:   Wed Feb 28 10:56:28 2018 -0700

    Add a newline between ids in xccdf info
    
    - Fixes #968

Author: Gabe <redhatrises@gmail.com>
Date:   Wed Feb 28 10:49:11 2018 -0700

    Fix some formatting in xccdf-guide-impl.xsl

Author: Gabe <redhatrises@gmail.com>
Date:   Tue Feb 27 17:43:49 2018 -0700

    Use Group Titles for drop down tree

Author: Gabe <redhatrises@gmail.com>
Date:   Tue Feb 27 13:12:01 2018 -0700

    Update xccdf-guide-impl group look and feel
    
    - Add group/rule counts
    - Fix 'start of the checklist' button

Author: Gabe <redhatrises@gmail.com>
Date:   Fri Feb 23 14:43:05 2018 -0700

    [WIP] Update the XCCDF HTML Guide XSLT
    
    - Remove right leaning content
    - Bring rules in line with some of the look and feel of XCCDF HTML Report
    - Add in search bar and rules grouping

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Feb 27 15:13:57 2018 -0500

    Merge pull request #985 from redhatrises/xccdf_refs_xsl
    
    Move references to separate XSL file

Author: Gabe <redhatrises@gmail.com>
Date:   Tue Feb 27 12:48:46 2018 -0700

    Move references to separate XSL file
    
    - Makes it easier to update reference mapping rather than searching for them
    - Allows references to also be consumed by xccdf-guide-impl.xsl

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Feb 22 15:20:20 2018 -0500

    Merge pull request #982 from redhatrises/update_group_refs
    
    Add missing group-by-rule texts for new reference uris from SSG

Author: Gabe <redhatrises@gmail.com>
Date:   Thu Feb 22 12:48:13 2018 -0700

    Be more picky with mapping ISO standard uri

Author: Gabe <redhatrises@gmail.com>
Date:   Thu Feb 22 12:30:51 2018 -0700

    Add missing group-by-rule texts for new reference uris from SSG

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Feb 9 18:00:31 2018 +0100

    Merge pull request #977 from matejak/ansible-generation-fix
    
    Fixed string length bug related to ansible remediations.

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Feb 9 15:18:05 2018 +0100

    Added tests for Ansible variables.
    
    Check that the Ansible remediation is output correctly if the input file
    mixes multiple Ansible variable declarations with a fix body.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Feb 7 15:54:06 2018 +0100

    Fixed string length bug related to ansible remediations.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Feb 2 10:42:37 2018 +0100

    Merge pull request #967 from matejak/temp-image-cleanup
    
    Fix oscap-docker to clean up temp image.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Jan 25 14:03:48 2018 +0100

    Refactored error handling during scan.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Jan 24 17:39:04 2018 +0100

    Modified the code that temp images are not forgotten.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Jan 18 15:58:20 2018 +0100

    Merge pull request #952 from dahaic/oscap-ssh-oval-results
    
    Update oscap-ssh to support --oval-results

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Jan 18 09:38:48 2018 -0500

    Merge pull request #961 from jan-cerny/oscap_gsym_comment
    
    Comment OSCAP_GSYM macro

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Jan 18 13:13:12 2018 +0100

    Comment OSCAP_GSYM macro
    
    We will not remove this macro, because it can stay and we should keep
    the prefixes. Instead, we can write docs.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Jan 17 10:25:49 2018 -0500

    Merge pull request #958 from matejak/cve-numbers
    
    Cve numbers

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Jan 17 10:24:13 2018 -0500

    Merge pull request #960 from redhatrises/gen_role_msg
    
    Fix output of generated bash role missing fix message

Author: Gabe <redhatrises@gmail.com>
Date:   Tue Jan 16 14:54:09 2018 -0700

    Fix output of generated bash role missing fix message to stderr

Author: Gabe <redhatrises@gmail.com>
Date:   Tue Jan 16 14:34:26 2018 -0700

    Fix output of generated bash role missing fix message
    
    - Fixes https://github.com/OpenSCAP/scap-security-guide/issues/2520

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Tue Jan 16 20:43:02 2018 +0100

    Better explanation of oscap-ssh --oval-result changes.

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Mon Jan 15 11:16:27 2018 +0100

    Add V. Batts into Authors.

Author: Vincent Batts <vbatts@hashbangbash.com>
Date:   Fri Jan 12 14:15:23 2018 -0500

    CVE: IDs are now 4-7 digits long
    
    Reviewing the NVD feeds from
    https://nvd.nist.gov/vuln/data-feeds#CVE_FEED reflects like
    `CVE-2016-1000031`, `CVE-2017-18016` and `CVE-2017-1000439`.
    
    I'm sure this xsd needs to be vetted in other places, but currently
    `oscap cve validate ./nvdcve-2.0-modified.xml` fails with
    
    ```shell
    File './nvdcve-2.0-modified.xml' line 65535: Element '{http://scap.nist.gov/schema/vulnerability/0.4}cve-id': [facet 'pattern'] The value 'CVE-2017-1000367' is not accepted by the pattern 'CVE-([1,2])\d{3}-\d{4}'.
    File './nvdcve-2.0-modified.xml' line 65535: Element '{http://scap.nist.gov/schema/vulnerability/0.4}cve-id': 'CVE-2017-1000367' is not a valid value of the atomic type '{http://scap.nist.gov/schema/cve/0.1}cveNamePatternType'.
    ```
    
    Signed-off-by: Vincent Batts <vbatts@hashbangbash.com>

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Jan 11 17:25:57 2018 +0100

    Merge pull request #946 from matusmarhefka/test-ansible-variables-sanity
    
    tests/API/XCCDF/unittests: added test for Ansible variables

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Mon Jan 8 15:50:55 2018 +0100

    tests/API/XCCDF/unittests: added test for Ansible variables
    
    * Test checks that generate fix produces Ansible variables correctly,
      defined inline in a playbook in "vars" section. Test also checks
      tailoring - that only tailored Ansible variables are generated in
      the playbook.

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Tue Jan 9 23:57:19 2018 +0100

    Make glob of oscap-ssh --oval-result more benevolent.
    
    Naming convention used in SSG is not oval standard.

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Tue Jan 9 23:45:47 2018 +0100

    Update oscap-ssh to support --oval-results
    
    With this switch, oscap-ssh will run oscap with --oval-results
    and download all generated oval xmls to current directory, mimicking
    behaviour of oscap tool itself.
    
    Scan on remote machine is now triggered in temp directory to not
    leave artifacts in $HOME.

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Thu Jan 4 11:51:44 2018 +0100

    Merge pull request #944 from dahaic/clarity_of_bash_role_header_command
    
    Make command in bash role header in line with --help

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Thu Jan 4 00:29:26 2018 +0100

    Make command in bash role header in line with --help
    
    Point is to make more explicit it's a placeholder name - using
    the same name --help use might do the trick.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Wed Jan 3 14:33:45 2018 +0100

    Merge pull request #943 from matejak/remediation_tests
    
    Add remediation tests.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Jan 3 14:05:00 2018 +0100

    Made the new test files to be distributed in the tarball.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Jan 3 12:55:41 2018 +0100

    Added ansible check to the test xccdf file.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Dec 28 10:22:35 2017 +0100

    Merge pull request #942 from AxelNennker/patch-1
    
    Add command line to install packages on Ubuntu 16.04

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Dec 22 11:53:13 2017 +0100

    Split checks for metadata presence in generated roles.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Dec 21 16:16:12 2017 +0100

    Added another profile to the remediation test.

Author: Axel Nennker <axel@nennker.de>
Date:   Tue Dec 19 15:02:21 2017 +0100

    Update README.md

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Dec 19 14:31:39 2017 +0100

    Added tests to confirm that profile metadata make it to the remediation roles.

Author: Axel Nennker <axel@nennker.de>
Date:   Tue Dec 19 11:21:20 2017 +0100

    Add command line to install packages on Ubuntu 16.04

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Mon Dec 18 14:11:08 2017 +0100

    Fix jlcharton name and email address
    
    Fix my name and fill my email address

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Dec 18 13:49:29 2017 +0100

    Fix my name and fill my email address

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Dec 13 08:45:46 2017 +0100

    Merge pull request #933 from matejak/cov-fixes
    
    Fixed most painful issues found by Coverity scan.

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Dec 11 11:29:16 2017 +0100

    Fixed most painful issues found by Coverity scan.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Dec 8 23:36:07 2017 +0100

    Merge pull request #928 from mpreisler/oscap_strdup_consistent
    
    Use oscap_strdup instead of just strdup

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:49:07 2017 -0500

    Use oscap_strdup instead of plain strdup in src/OVAL
    
    strdup is not a standard C function
    Haven't touched probes yet.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:37:44 2017 -0500

    Use oscap_strdup instead of plain strdup in src/XCCDF_POLICY
    
    strdup is not a standard C function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:36:31 2017 -0500

    Use oscap_strdup instead of plain strdup in src/XCCDF
    
    strdup is not a standard C function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:33:02 2017 -0500

    Use oscap_strdup instead of plain strdup in src/common
    
    strdup is not a standard C function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:30:47 2017 -0500

    Use oscap_strdup instead of plain strdup in SCE engine
    
    strdup is not a standard C function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:27:55 2017 -0500

    Use oscap_strdup instead of plain strdup in src/source
    
    strdup is not a standard C function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 8 14:25:20 2017 -0500

    Use oscap_strdup instead of plain strdup in cpename
    
    strdup is not a standard C function

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Dec 8 08:51:30 2017 +0100

    Merge pull request #923 from matejak/stigw-test
    
    Added stig viewer tests

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Dec 7 11:31:02 2017 +0100

    Merge pull request #917 from matejak/release-enhancements
    
    Release enhancements

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Dec 6 16:48:10 2017 +0100

    Fixed scripts style.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Dec 6 14:59:09 2017 +0100

    Integrated the stig viewer test case into the test suite.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Dec 6 14:58:50 2017 +0100

    Added the stig viewer test case.

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Wed Dec 6 13:29:24 2017 +0100

    Minor syntax update.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Dec 6 13:19:10 2017 +0100

    Minor improvements based on feedback.

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Dec 4 15:52:10 2017 +0100

    Deduplicated author Matej Tyc.

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Dec 4 15:13:33 2017 +0100

    Fixed repo root path after relocation of scripts.

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Fri Dec 1 14:40:23 2017 +0100

    Updated readme formatting.

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Dec 4 15:11:26 2017 +0100

    Fixed a typo.

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Fri Dec 1 23:21:27 2017 +0100

    Merge pull request #922 from matejak/maint-1.2
    
    Updated bash completion.

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Dec 1 15:35:44 2017 +0100

    Updated bash completion.
    
    Just included updated 'info' and 'xccdf eval'.

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Dec 1 12:19:04 2017 +0100

    Added features to the release automation.
    
    - Documentation,
    - news file template generation,
    - version metadata separation.

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Dec 1 12:13:05 2017 +0100

    Added the issue/PR querying code.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Nov 23 15:57:16 2017 +0100

    Changed indentation to use 4 spaces.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Nov 23 15:54:46 2017 +0100

    Removed functions not related to upstream.
    
    And changed formatting to space indent.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Nov 22 15:17:39 2017 +0100

    Moved support release scripts location.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Nov 22 15:14:35 2017 +0100

    Added milestone flip support.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Nov 22 15:14:12 2017 +0100

    Slightly improved code.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Nov 21 14:46:57 2017 +0100

    Fixed list of authors.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Nov 21 14:42:53 2017 +0100

    Added scripts for partial upstream release automation.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 16 08:58:40 2017 +0100

    Merge pull request #911 from mpreisler/version_python_shebang_in_scap_as_rpm
    
    Use the versioned shebang in scap-as-rpm

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Nov 15 14:28:51 2017 -0500

    Use the versioned shebang in scap-as-rpm
    
    The world is moving to python3 and using just python is confusing.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Nov 14 10:45:26 2017 -0500

    Merge pull request #901 from jan-cerny/warnings_from_cmake
    
    Add missing includes

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Nov 14 15:59:00 2017 +0100

    Version bump after release.
    
    Next release from the maint-1.2 branch will be 1.2.17.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Nov 14 12:48:32 2017 +0100

    Added news for the 1.2.16 release.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Oct 10 16:50:23 2017 +0200

    Add missing includes
    
    Addressing many warnings like
    
    [ 77%] Building C object utils/CMakeFiles/oscap.dir/oscap-tool.c.o
    In file included from /home/jcerny/openscap/utils/oscap-tool.c:27:0:
    /home/jcerny/openscap/utils/oscap-tool.h:174:47: warning: ‘struct
    xccdf_session’ declared inside parameter list will not be visible
    outside of this definition or declaration
     int xccdf_set_profile_or_report_bad_id(struct xccdf_session *session,
    const char *profile_id, const char *source_file);

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Nov 13 16:55:22 2017 +0100

    Bump soname from 8.13.0 to 8.14.0
    
    311 new symbols were added, no symbols were removed.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Nov 7 14:57:36 2017 +0100

    Merge pull request #894 from WesleyCeraso/enable_stigviewer
    
    Creates the command line parameter --stig-viewer to output STIG Viewer compatible results

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Tue Nov 7 10:55:48 2017 +0100

    Improves STIG Rule ID documentation
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Nov 7 12:17:22 2017 +0100

    Merge pull request #869 from jan-cerny/improve_man_tailor_help
    
    Improve documentation of --tailoring-file and --tailoring-id options

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Nov 3 10:36:33 2017 +0100

    Reword --tailoring-id description
    
    It was very confusing which of the many IDs is the correct ID you're
    supposed to use with --tailoring-id option.

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Nov 1 14:38:56 2017 +0100

    Use proper getter instead of accessing the variable directly
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Thu Oct 26 16:27:35 2017 +0200

    Merge pull request #892 from jlcharton/patch-1
    
    Continue the file tree walk in case of lstat error.

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Thu Oct 19 23:26:44 2017 +0200

    Fixes code style and renames functions
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Oct 19 11:06:04 2017 +0200

    Merge pull request #896 from mpreisler/ansible_variable_reorg
    
    Ansible variables to come first before tasks

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 15:57:09 2017 -0400

    Removed a puzzle from the comments
    
    Both approaches are valid but it helps when the comment is explaining the
    approach we are actually using...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 15:55:21 2017 -0400

    Handle return values in ansible xccdf_policy_remediate.c in case of errors

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 15:11:06 2017 -0400

    Return something in variable mode for posix regex when generating ansible fixes

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 15:07:11 2017 -0400

    Allocate ovector outside of the loop, make it smaller. Plus docs.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 15:03:21 2017 -0400

    Describe what all the ovector indices mean

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 15:00:15 2017 -0400

    Extract the ansible variable non-variable generating logic to a separate fn

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Oct 18 14:40:57 2017 -0400

    strdup is not a standard C function, we need to use oscap_strdup

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Oct 18 16:28:33 2017 +0200

    Fixes code style and add some pointer tests
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Oct 18 15:07:02 2017 +0200

    Prevents rules with no STIG Rule ID to be output to stig-viewer results file
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Oct 18 14:55:12 2017 +0200

    Removes unnecessary code for stig-viewer parameter
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Oct 18 12:55:58 2017 +0200

    Improves manual and man page documentation
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Oct 17 11:09:22 2017 -0400

    Merge pull request #897 from WesleyCeraso/cvrf
    
    CVRF Parsing and Export

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Tue Oct 17 15:53:21 2017 +0200

    Removes comments and add const to char pointers
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 14:03:21 2017 -0400

    Let's define CVRF XML namespaces in one place only

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 12:40:35 2017 -0400

    Simplified logic in cvrf_enumeration_attr
    
    You can free(NULL) and the enum to str call with num was just above
    that, so this has the exact same behavior.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 11:22:27 2017 -0400

    Removed the RPM related dead-code from CVRF
    
    The functions were dangerous and the whole thing doesn't do much yet.
    This will have to be implemented in a different way.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 10:46:16 2017 -0400

    Moved cvrf_session_construct_definition_model to private API
    
    We may expose it later but not before the merge.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 10:45:02 2017 -0400

    Move cvrf_product_vulnerability_fixed into private API
    
    We may expose it later but not before the merge is finished.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 10:40:51 2017 -0400

    Only use the required headers in public cvrf.h

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 15:51:31 2017 -0400

    Fix error in cvrf_parse_element function and add more error handling

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 15:27:18 2017 -0400

    Add error handling for CVRF XML results export

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 15:17:02 2017 -0400

    Add comment about hardcoded CPE names for CVRF evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 15:12:47 2017 -0400

    Add error handling to CVRF evaluation function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 11:08:11 2017 -0400

    Fix parsing errors for CVRF document and Involvement elements
    
    The Involvement element does not need to have a child element by
    CVRF specs(it can be an empty tag). The parser did not handle this
    case correctly- this was fixed by checking depth to determine
    if the element has the optional Description child element

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 10:16:32 2017 -0400

    Fix setting of root element in cvrf_index_to_dom function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 10:12:58 2017 -0400

    Remove unnecessary export_file and results_file from CVRF session structure

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 02:20:34 2017 -0400

    Replace CWE stringlist in CVRF Vulnerability with CWE structure
    
    According to CVRF specs, the CWE element has string content between
    the element tags as well as a mandatory ID attribute. Therefore it
    cannot be represented by a stringlist alone- it needs it own structure

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 01:50:07 2017 -0400

    Rework CVRF evaluation export function- now returns OSCAP source

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 01:34:40 2017 -0400

    Add missing documentation for cvrf_session and cvrf_rpm_attributes

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 01:02:54 2017 -0400

    Rename function for creating OVAL definitions in CVRF evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 18 01:00:08 2017 -0400

    Fix coding style in CVRF_VALIDATE submodule

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 16 18:06:36 2017 -0400

    Add import to cvrf.c to fix compiler warning

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 16 18:04:44 2017 -0400

    Remove unnecessary imports from public CVRF header file

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 16 18:01:57 2017 -0400

    Implement workflow for CVRF index structure evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 16 17:27:09 2017 -0400

    Rework CVRF command line interface for better opt parsing and workflow

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 16 10:45:21 2017 -0400

    Add missing CVRF getters and setters and their documentation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 16 10:20:59 2017 -0400

    Implement missing cvrf_document_to_dom function
    
    Only the cvrf_document structure was missing a to_dom function
    (although it had a parsing function). This keeps the pattern of
    the rest of the CVRF workflow and allows users to export results
    more easily

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 17:32:15 2017 -0400

    Allow caller of cvrf_model_import to free oscap_source

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 17:12:59 2017 -0400

    Replace cvrf_export_model and cvrf_model_index functions
    
    These functions took filepaths as inputs. They have been replaced
    with functions that return oscap_source and allow the caller
    to save the XML document to a file

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 16:47:29 2017 -0400

    Add functions for the Party attribute of the CVRF Involvement element
    
    The Party attribute of the Involvement element and the Type attribute
    of the DocumentPublisher element use the same enumerated list of
    values, but have different attribute names. This commit allows for
    parsing of the former

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 16:37:41 2017 -0400

    Replace unintentionally removed CVRF function documentation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 16:09:18 2017 -0400

    Remove lines causing filedump in CVRF evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 16:01:53 2017 -0400

    Add documentation for CVRF enums and their functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 14:20:08 2017 -0400

    Make CVRF parsing safer- do not copy strings twice
    
    The oscap_element_string_copy function was used to retrieve strings
    from the XML document and store them in stringlists. However the
    oscap_stringlist already duplicates input added to the list, so
    it was replaced with oscap_element_string_get, which returns const char*

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 13:53:10 2017 -0400

    Add authorship to headers of CVRF files

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 13:44:34 2017 -0400

    Remove redundant cvrf_enumeration_node_value function
    
    The cvrf_enumeration_node_value function was intended to be a helper
    function for parsing enums from XML element contents (rather than
    from attributes). It was only used by one other function, so this
    was reworked to be more efficient

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 13:30:38 2017 -0400

    Replace aggregate CVRF enum parsing functions with individual ones

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 13:13:24 2017 -0400

    Group CVRF parsing and serialization functions together

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 12:47:56 2017 -0400

    Set CVRF UNKNOWN enums' value to 0

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 12:44:30 2017 -0400

    Replace oscap_free and oscap_alloc with free and malloc in CVRF files

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 11:47:05 2017 -0400

    Make CVRF container parsing function more efficient

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 15 11:03:36 2017 -0400

    Add documentation for CVRF import and serialization functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 14 14:52:03 2017 -0400

    Initialize CVRF attribute enums with their own UNKNOWN values

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 14 14:27:26 2017 -0400

    Fix failing CVRF tests by replacing OS input

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 14 14:21:10 2017 -0400

    Add exit code checks for CVRF evaluation tests

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 14 10:24:25 2017 -0400

    Add NULL checking for export of CVRF attributes

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 14 09:57:03 2017 -0400

    Initialize CVRF structure enums with CVRF_ATTRIBUTE_UNKNOWN
    
    Enum variables in CVRF structures were not being initialized in
    constructors. Also, 0 was mapped to NULL in the string maps even
    though the first enum in the typedef has a value of 0. This commit
    fixes both of those issues

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 17:21:16 2017 -0400

    Fix memory leaks in CVRF parsing and evaluation
    
    A big memory leak was occurring with the parsing of cvrf_product_status,
    since the structure stores a list of ProductIDs in oscap_stringlist.
    When adding a string to the list, oscap_stringlist duplicates the
    provided string input, and the original was never freed.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 17:09:51 2017 -0400

    Fix memory leak from parsing CVRF ordinals

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 16:52:08 2017 -0400

    Change boolean 'no_err' to 'error' in cvrf_parse_continer function
    
    Instead of checking if (!no_err), the function now checks if (error)
    for easier readability and understanding

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 16:03:43 2017 -0400

    Add missing break in oscap-info.c case-switch statement

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 16:00:42 2017 -0400

    Fix memory leak in CVRF ProductTree filtering function
    
    A list was being freed with oscap_free instead of oscap_list_free

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 15:58:27 2017 -0400

    Fix code style spacing in CVRF parsing functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 15:52:11 2017 -0400

    Remove unnecessary cast from parsing in cvrf_enumeration.c

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 15:49:08 2017 -0400

    Replace oscap_strtol (returns float) with builtin strtol in CVRF parsing

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 15:45:43 2017 -0400

    Save strlen as a variable before loop in cvrf_eval.c
    
    The index variable was being compared to strlen inside a while loop,
    which causes the loop to calculate strlen each time. This was changed
    so that strlen only has to be called once

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 15:42:38 2017 -0400

    Fix CVRF model clone function and add Index clone function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 15:37:59 2017 -0400

    Add missing CVRF getters and setters and their documentation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 12:40:20 2017 -0400

    Replace calloc with alloc in CVRF clone functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 12:27:46 2017 -0400

    Replace redundant enum-to-string CVRF helper functions
    
    Replaced helper methods that simply called oscap_string_to_enum
    and oscap_enum_to_string

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 12:12:13 2017 -0400

    Remove prefixes from CVRF type variables

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 11:54:22 2017 -0400

    Fix unused warning in cvrf_eval.c

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 11:53:21 2017 -0400

    Reduce scope of creating and freeing OVAL ids in CVRF evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 11:36:14 2017 -0400

    Add documentation for CVRF structure iterators

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 10:09:15 2017 -0400

    Explicitly declare xmlStrcmp == 0 inside CVRF conditionals
    
    Change CVRF parsing conditionals from if (!xmlStrcmp()) to
    if (xmlStrcmp() == 0) for better readability

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 09:51:32 2017 -0400

    Use unsigned int for OVAL ids used for CVRF evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 09:46:11 2017 -0400

    Add HIDDEN START & END to CVRF private API header

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 11 09:42:55 2017 -0400

    Reorder OSCAP document type enums
    
    Place OSCAP_DOCUMENT_CVRF_FEED at the end of the oscap_document_type
    typedef so that it does not break existing ABI

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 17:45:43 2017 -0400

    Implement parsing of CVRF Note elements

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 15:41:55 2017 -0400

    Fix CVRF evaluation results export workflow
    
    The function for exporting evaluation results was not up to date
    with the newer to-DOM CVRF export functions. These changes make
    exporting results more efficient and cleaner

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 15:30:23 2017 -0400

    Ensure CVRF filtering functions clone and free appropriately
    
    Filtering functions replace an old oscap_list or oscap_stringlist
    with a new one. Freeing the old one might resolve the Jenkins
    coredump issue

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 15:29:49 2017 -0400

    Check stdout and stderr files in CVRF tests

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 15:06:22 2017 -0400

    Ensure CVRF Vulnerability ID is exported only if non-null

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 15:04:00 2017 -0400

    Make CVRF enum parsing functions static
    
    Users can pass the reader alongside cvrf_item_type_t variable.
    One overarching function will determine which kind of enum to parse
    based on the item type

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 14:08:53 2017 -0400

    Implement parsing of SystemName attribute in CVRF Vulnerability
    
    The ID element within Vulnerability should have a SystemName attribute.
    This was missing before

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 13:11:54 2017 -0400

    Change return of CVRF setters to bool and add documentation
    
    A few non-macro setter functions for CVRF structures were void instead
    of returning boolean true/false upon success/failure. This was
    amended to follow the pattern of the other setters

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 9 10:22:54 2017 -0400

    Implement parsing of CVRF Involvement structure

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 8 15:10:42 2017 -0400

    Streamline CVRF enum parsing methods

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 8 14:19:25 2017 -0400

    Fix coding style in CVRF module functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 8 14:13:31 2017 -0400

    Remove empty line after braces in CVRF functions
    
    Many of the functions had a single newline as the first line in the
    function. This was removed to comply with Linux Kernel coding style

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 8 13:59:29 2017 -0400

    Implement parsing of CVRF Group elements

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 8 11:21:39 2017 -0400

    Add more documentation for CVRF structure getters

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 17:10:55 2017 -0400

    Free xmlTextReader in CVRF import function where it was initialized
    
    The function cvrf_model_import creates xmlTextReader from oscap_source,
    but the reader was originally freed in the cvrf_model_parse function.
    This change allows the caller to free the reader

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 16:52:52 2017 -0400

    Remove libxml2 from public API for CVRF export functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 16:51:31 2017 -0400

    Streamline function in cvrf_eval for creating OVAL ids

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 16:03:31 2017 -0400

    Replace cvrf_model_eval with cvrf_session
    
    It makes sense for CVRF to follow the pattern of OVAL and XCCDF
    and have its own session structure. This structure can maintain
    import and export sources/paths in a more consolidated way
    
    T#

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 15:15:36 2017 -0400

    Implement parsing of CVRF Acknowledgment structure

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 13:17:05 2017 -0400

    Rearrange CVRF headers and add documentation for structures

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Aug 7 11:25:29 2017 -0400

    Add additional functions for cvrf_item_type_t enums and map

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 23:57:00 2017 -0400

    Implement filtering by CPE and by ProductID functions for CVRF structures
    
    Filtering functions will make it easier to perform vulnerability checking
    with info from CVRF files, since we only want to consider the packages
    that pertain to the user's operating system.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 22:28:08 2017 -0400

    Replace singular CVRF FullProductName variable in ProductTree with list
    
    According to specs, the ProductTree structure can have an unbounded
    number of FullProductName elements, which should be represented
    by oscap_list instead of a singular cvrf_product_name variable

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 20:33:07 2017 -0400

    Create new OVAL definition for each CVRF product id
    
    A new definition within the OVAL definition model is created for
    each product id that pertains to a given operating system. This way
    each package can be queried and checked for vulnerabilities

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 19:51:08 2017 -0400

    Remove unnecessary prefixes from CVRF structure variables
    
    I.E. variable names such as 'remed_date' or 'threat_date' were
    changed to just 'date'

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 19:31:30 2017 -0400

    Add clone functions for all existing CVRF structures

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 17:33:38 2017 -0400

    Fix warnings and reduce scopes in CVRF eval functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 16:52:49 2017 -0400

    Fix warnings caused by xmlTextReader pointers in CVRF import functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 16:45:09 2017 -0400

    Add CVRF Vulnerability type to cvrf_list_to_dom function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 16:44:24 2017 -0400

    Fix indentation in CVRF tests Makefile.am

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Aug 6 16:28:02 2017 -0400

    Replace CVRF XML filename in Makefile.am for CVRF tests
    
    The XML file used for CVRF tests was renamed to test_api_cvrf.xml
    but not replaced in Makefile.am, which caused jenkins to fail

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 4 16:41:23 2017 -0400

    Replace invalid CVRF file in tests with a valid one
    
    RHSA-2017-0263 was being used in the test suite, but it was found
    that this file did not follow official ICASI schema specifications,
    which caused validation check to fail. It is replaced with
    RHSA-2017:1285

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 4 15:22:29 2017 -0400

    Fix the cause of failure for the CVRF export test
    
    Parsing workflow of the Identification element within the CVRF
    DocumentTracking element was altered so that the 'Status' element
    is parsed correctly. This was causing the test to fail

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 4 14:58:03 2017 -0400

    Implement parsing and export of CVSSScoreSets element for CVRF

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 4 12:27:10 2017 -0400

    Replace alias element in cvrf_doc_tracking with stringlist
    
    According to specs, the 'Identification' element within the CVRF
    'DocumentTracking' element can have an unbounded number of Aliases,
    so this should be a list instead of a single char variable

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 4 11:59:50 2017 -0400

    Use tempfiles instead of stored files for CVRF export and eval tests

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Aug 4 11:21:28 2017 -0400

    Add 'validate' test to CVRF test suite

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Aug 3 15:47:17 2017 -0400

    Implement parsing for CVRF RevisionHistory element
    
    RevisionHistory is a required element. It will cause validate to
    fail if we do not parse/export it

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Aug 3 15:14:28 2017 -0400

    Capitalize RelationType strings to match with schema
    
    Key-value pairs in the RELATION_TYPE_MAP were causing validate
    to fail because they had lowercase letters. XML version also
    caused validate to fail- changed to 1.0

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Aug 3 13:31:28 2017 -0400

    Fix CVRF export tests; add parsing for more document elements
    
    I also added parsing implementation for the DocumentDistribution
    and AggregateSeverity elements to the existing cvrf_document
    structure and added some missing attributes to export

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Aug 3 11:56:20 2017 -0400

    Fix additional warnings by reordering public API header

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Aug 3 11:20:09 2017 -0400

    Add copyright headers to CVRF source files

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Aug 2 17:25:52 2017 -0400

    Fix compiler warnings and improve parsing functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 1 17:28:33 2017 -0400

    Change CVRF 'evaluate' submodule usage to 'eval'

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 1 16:04:32 2017 -0400

    Fixed conventions in CVRF module info

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 1 16:01:33 2017 -0400

    Fix indentation and variable names of cvrf_action

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 1 15:58:16 2017 -0400

    Fix parsing of EVR format from CVRF ProductIDs

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 1 14:34:11 2017 -0400

    Download all the CVRF XSDs and their deps and import them locally
    
    Some of these could be deduplicated with other schemas in the
    repo but that will have to be done as part of another commit.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Aug 1 10:53:53 2017 -0400

    Export CVRF index with DOM (replace XMLWriter)

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 31 17:01:33 2017 -0400

    Remove unnecessary variable declarations from CVRF import functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 31 16:55:56 2017 -0400

    Fix assignment of IDs to OVAL objects in cvrf_eval

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 31 16:34:48 2017 -0400

    Export CVRF files using XML DOM (replace XMLWriter)

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 31 10:29:37 2017 -0400

    Handle errors from parsing invalid CVRF elements

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 31 10:09:40 2017 -0400

    Remove empty glob from schemas Makefile

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 31 10:07:19 2017 -0400

    Added casts for parsing attributes

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 17:28:05 2017 -0400

    Narrow scope within functions in cvrf_eval.c

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 17:17:53 2017 -0400

    Fix redundant import/export functions for CVRF API

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 17:05:03 2017 -0400

    Re-order constructors and free functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 16:56:50 2017 -0400

    Remove unnecessary casting from parsing functions

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 16:48:29 2017 -0400

    Fix style and scope of cvrf_model_export function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 16:38:42 2017 -0400

    Remove redundant declarations from private header

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 16:23:31 2017 -0400

    Fix order of printing supported versions of document types

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 13:30:44 2017 -0400

    Parse CVRF Threat component of CVRF document

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 11:44:29 2017 -0400

    Correct path to CVRF schema in OSCAP_SCHEMAS_TABLE

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 27 11:36:19 2017 -0400

    Replace CVRF schemas with official ICASI CVRF schemas

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 16:40:04 2017 -0400

    Create CVRF validate submodule for command line interface

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 16:11:10 2017 -0400

    Replace filepaths with oscap_source for CVRF parsing function parameters

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 15:07:53 2017 -0400

    Fix code style issues in cvrf_eval

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 14:48:58 2017 -0400

    Implement parsing of DocumentPublisher component of CVRF file

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 12:00:37 2017 -0400

    Make the appropriate CVRF eval functions static

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 11:54:05 2017 -0400

    Change selected string variables in CVRF structures to enums

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 10:57:06 2017 -0400

    Parse and retrieve string values for CVRF type enums

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 26 09:54:13 2017 -0400

    Define enum-to-string maps for CVRF component types

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jul 25 17:18:04 2017 -0400

    Define enums and move functions to be grouped with respective structures

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jul 25 14:00:28 2017 -0400

    Parse RPM and create EVR test in OVAL definition model

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jul 21 17:16:02 2017 -0400

    Build OVAL definition model for CVRF RPM tests

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 20 15:58:09 2017 -0400

    Create OSCAP CVRF module for command line interface

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jul 19 16:12:36 2017 -0400

    Find appropriate ProductIDs for certain OS for CVRF evaluation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jul 18 15:15:08 2017 -0400

    Evaluate CVRF Vulnerabilities and export results as XML

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 17 16:27:57 2017 -0400

    Parse Relationships in ProductTree

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 17 12:11:55 2017 -0400

    Parse DocumentTracking element from CVRF file

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 17 10:18:40 2017 -0400

    Add 'cvrf' prefix to CVRF structures

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Jul 16 20:08:56 2017 -0400

    Parsed ProductTree and Vulnerability correctly

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Sun Jul 16 17:32:05 2017 -0400

    Tests for parsing  and export of CVRF files

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jul 11 16:20:55 2017 -0400

    Document CVRF private functions & create test directory

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jul 11 13:59:56 2017 -0400

    Additions to parsing functions and beginning of XML export implementation for CVRF files

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 10 15:34:22 2017 -0400

    Automake now working; additions to CVRF model and parsing functions in cvrf_priv.c

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 6 16:44:49 2017 -0400

    Started implementation of CVRF model, parsing, and doc type support for oscap; added CVRF xsd schema

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jul 6 13:50:23 2017 -0400

    Created directory for CVRF, test directory for CVRF, and edited Makefiles to include CVRF directories

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Oct 16 15:58:38 2017 -0400

    Added the expected "vars:" line into the testing playbooks

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Oct 16 15:58:19 2017 -0400

    variable_name and value are only needed when we are outputing ansible vars

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Oct 16 15:27:57 2017 -0400

    Plug a memory leak

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Oct 16 15:17:44 2017 -0400

    First stab at the ansible variable playbook reorganization
    
    This produces the desired effect but the code is not great and some
    corner cases are not quite there yet.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Oct 16 13:23:25 2017 -0400

    Fairly minor readability improvements in xccdf_policy_remediate

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 16 14:21:04 2017 +0200

    Reword tailoring profile hint in manual page
    
    This will emphasise that the ID of customized profile must be used.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 16 14:10:06 2017 +0200

    Change description of option --profile of xccdf generate
    
    The description is now same as in manual page.

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Thu Oct 12 17:11:33 2017 +0200

    Creates the command line parameter --results-stig to output STIG Viewer compatible results
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Oct 13 09:00:28 2017 +0200

    Merge pull request #895 from mpreisler/ansible_generate_fix
    
    Generate ansible playbooks with uncommented "-hosts: all"

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 17:54:11 2017 -0400

    Changed expected playbooks to reflect the "hosts: all" change

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 17:27:54 2017 -0400

    Use standard strcmp instead of our custom oscap_streq

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 17:25:12 2017 -0400

    Provide remediation role application examples in the role itself

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 17:03:02 2017 -0400

    Very minor changes in _write_script_header_to_fd to make it more readable

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 16:58:28 2017 -0400

    Generate ansible playbooks targeting all hosts in inventory by default
    
    This means users don't have to manually edit the playbooks we generate
    to use them. As long as they provide an inventory they want to use.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 16:58:18 2017 -0400

    Fixed borked indents

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 12 16:57:26 2017 -0400

    Renamed "script" variable to "ansible_script" in xccdf_policy_remediate
    
    Names are important and this was a big wtf for me...

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Oct 12 11:41:10 2017 -0400

    Merge pull request #889 from redhatrises/fix_srg_links
    
    Update and Enhance DISA SRG and STIG links

Author: Gabe <redhatrises@gmail.com>
Date:   Wed Oct 11 11:51:00 2017 -0600

    Update and Enhance DISA SRG and STIG links
    
    - Update DISA SRG link for Operating Systems
    - Add DISA SRG link for Applications
    - Add STIG link for Applications

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Tue Oct 10 00:22:48 2017 +0200

    Continue the file tree walk in case of lstat error

Author: Matěj Týč <matej.tyc@gmail.com>
Date:   Mon Oct 9 14:12:55 2017 +0200

    Merge pull request #884 from jan-cerny/coverity2
    
    Coverity fixes 2 - Fix possible NULL pointer dereferencing

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Fri Oct 6 10:26:36 2017 +0200

    Merge pull request #888 from mpreisler/test_fix
    
    Removed superfluous components, fixed up the catalog in benchmark_id_…

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 5 15:19:42 2017 -0400

    Removed superfluous components, fixed up the catalog in benchmark_id_test-ds.xml
    
    Now there are no warnings when running oscap info on the datastream.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Oct 4 09:44:04 2017 -0400

    Merge pull request #887 from jan-cerny/coverity4
    
    Coverity fixes 4

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Oct 3 14:36:14 2017 +0200

    Avoid reports about a potential memory leak
    
    We should call free(iterator) if iterator_frame is NULL before we
    return. However, we don't check for malloc return value in our codebase,
    so we can remove this condition instead.
    Addressing:
    openscap-1.2.15/src/OVAL/adt/oval_collection.c:141:11: warning:
    Potential leak of memory pointed to by 'iterator'

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Oct 3 14:13:46 2017 +0200

    Fix CLANG compiler warning
    
    openscap-1.2.15/src/common/list.c:396:13: warning: Result of 'calloc' is
    converted to a pointer of type 'struct oscap_htable_item *', which is
    incompatible with sizeof operand type 'struct oscap_list_item *'

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Oct 3 13:45:58 2017 +0200

    Fix compiler warning
    
    Addressing:
    
    openscap-1.2.15/src/XCCDF/xccdf_session.c:0: scope_hint: In function
    'xccdf_session_set_profile_id_by_suffix'
    openscap-1.2.15/src/XCCDF/xccdf_session.c:496:14: warning: unused
    variable 'search_result' [-Wunused-variable]

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Oct 4 15:07:10 2017 +0200

    Merge pull request #874 from matejak/feature/info-improvement
    
    Enabled customization of the 'oscap info' datastream output format.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Oct 4 14:31:05 2017 +0200

    Added profile suffix matching functionality to ds input.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Oct 4 12:21:22 2017 +0200

    Made an enum anonymous to preserve ABI compatibility.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Oct 3 15:39:06 2017 +0200

    Moved an extracted function back.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Oct 3 15:36:14 2017 +0200

    Fixed memory leaks.
    
    And added comments to confusing code that can't be fixed easily.

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Oct 3 15:26:15 2017 +0200

    Refactoring.
    
    * extracted xccdf_benchmark_match_profile_id from xccdf_session_set_profile_id_by_suffix
    * introduced oscap_profile_match_t enum for storing matching results
    * removed session_load from app_info_single_benchmark

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 15 20:02:55 2017 +0200

    Remove unnecessary include
    
    This include isn't used anywhere and causes problems on AIX compiler.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Oct 2 23:28:32 2017 -0400

    Merge pull request #885 from jan-cerny/coverity3
    
    Coverity fixes 3

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 19:16:58 2017 +0200

    Plug a memory leak
    
    Addressing:
    openscap-1.2.15/src/OVAL/oval_agent.c:427: leaked_storage: Variable
    "value_it" going out of scope leaks the storage it points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 19:07:45 2017 +0200

    Plug a memory leak
    
    Addressing:
    openscap-1.2.15/src/OVAL/oval_component.c:2194: leaked_storage: Variable
    "subcomps" going out of scope leaks the storage it points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 19:03:50 2017 +0200

    Plug a memory leak
    
    Addressing:
    24. openscap-1.2.15/src/OVAL/oval_sexp.c:641: leaked_storage: Variable
    "rf_ent" going out of scope leaks the storage it points to.

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Oct 2 19:03:23 2017 +0200

    Fixed some of the memory leaks.

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Oct 2 19:02:39 2017 +0200

    Made xccdf_benchmark_get_profile_by_id a public function.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 18:49:33 2017 +0200

    Plug a memory leak
    
    Addressing:
    openscap-1.2.15/src/OVAL/probes/unix/sysctl.c:111: overwrite_var:
    Overwriting "ofts_ent" in "ofts_ent = oval_fts_read(ofts)" leaks the
    storage that "ofts_ent" points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 18:48:03 2017 +0200

    Plug a memory leak
    
    Addressing:
    openscap-1.2.15/src/OVAL/probes/unix/sysctl.c:194: leaked_storage:
    Variable "se_mib" going out of scope leaks the storage it points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 18:38:05 2017 +0200

    Plug a memory leak
    
    Addressing:
    openscap-1.2.15/src/OVAL/probes/unix/xinetd.c:804: leaked_storage:
    Variable "xiconf" going out of scope leaks the storage it points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 2 18:29:07 2017 +0200

    Plug a memory leak
    
    Addressing:
    ...
    87. openscap-1.2.15/src/OVAL/probes/unix/xinetd.c:723: var_assign:
    Assigning: "inclarg" = "buffer".
    96. openscap-1.2.15/src/OVAL/probes/unix/xinetd.c:741: leaked_storage:
    Variable "inclarg" going out of scope leaks the storage it points to.
    100. openscap-1.2.15/src/OVAL/probes/unix/xinetd.c:809: leaked_storage:
    Variable "buffer" going out of scope leaks the storage it points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 26 15:09:16 2017 +0200

    Fix possible NULL pointer dereferencing
    
    "xccdf_policy_get_benchmark" can return NULL. It can cause a segfault
    when we pass the returned value to "xccdf_benchmark_get_version".
    I add should check if benchmark is not NULL. I move the statement
    to the begining of the block because at original place I have to
    free profile_title and profile_description.
    
    Addressing:
    src/XCCDF_POLICY/xccdf_policy_remediate.c:692: dereference:
    Dereferencing a pointer that might be null "benchmark" when calling
    "xccdf_benchmark_get_version".

Author: Matěj Týč <matyc@redhat.com>
Date:   Fri Sep 29 17:21:51 2017 +0200

    Reused code to query and report for XCCDF profiles.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Sep 27 17:41:14 2017 +0200

    Removed unnecessary reporting of profile platform.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Sep 27 17:39:31 2017 +0200

    Removed a memory leak.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Sep 27 14:06:42 2017 +0200

    Added and unified new features documentation.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Sep 27 13:40:27 2017 +0200

    Improved coding style.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Sep 26 12:03:48 2017 -0400

    Merge pull request #882 from jan-cerny/coverity_fixes
    
    Coverity fixes 1

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Sep 26 11:50:58 2017 -0400

    Add Jan Cerny as co-author of the oscap-vm man page

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Sep 26 11:49:28 2017 -0400

    Merge pull request #875 from jan-cerny/oscap_vm_man
    
    update oscap-vm manual page

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Sep 22 15:59:15 2017 +0200

    Update oscap-vm manual page

Author: Matěj Týč <matyc@redhat.com>
Date:   Tue Sep 26 13:09:45 2017 +0200

    Implemented info enhancment to XCCDF files.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 25 19:52:13 2017 +0200

    Plug a memory leak
    
    Addressing:
    openscap-1.2.15/src/XCCDF_POLICY/xccdf_policy_remediate.c:769:
    leaked_storage: Variable "rules_to_fix" going out of scope leaks the
    storage it points to

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 25 19:41:52 2017 +0200

    Fix suspicious sizeof
    
    Addressing:
    openscap-1.2.15/src/CVSS/cvss.c:66: suspicious_sizeof: Passing argument
    "56UL" ("sizeof (struct cvss_metrics)") to function "calloc" that
    returns a pointer of type "struct cvss_impact *" is suspicious because a
    multiple of "sizeof (struct cvss_impact) /*24*/" is expected.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 25 19:25:55 2017 +0200

    Fix double free
    
    If _write_remediation_to_fd_and_free returns a nonzero value, the fix_text
    pointer is freed twice. I fix the issue by avoiding goto.
    Addressing:
    xccdf_policy_remediate.c:632: double_free: Calling "free" frees pointer
    "fix_text" which has already been freed

Author: Matěj Týč <matyc@redhat.com>
Date:   Mon Sep 25 16:42:54 2017 +0200

    Implemented removal of unwanted newlines from strings.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 25 14:59:54 2017 +0200

    Merge pull request #868 from jlcharton/patch-13
    
    Fix CPE_SUBMODULES array declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Sep 18 10:21:05 2017 +0200

    Fix AIX broken NAN issue

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Mon Sep 25 12:23:11 2017 +0200

    Merge pull request #877 from jlcharton/patch-1
    
    Fix several arrays declaration

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Mon Sep 25 11:33:48 2017 +0200

    Merge pull request #878 from jlcharton/patch-3
    
    Remove obsolete omp pragma

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 20:38:14 2017 +0200

    Remove obsolete omp pragma
    
    IBM XLC fails with the following error on "pragma omp parallel for" statement:
    >"digest.c", line 153.33: 1506-814 (S) Branching in or out of structured block and parallel/work-sharing loop is not allowed."

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 20:10:32 2017 +0200

    Remove magic numbers from arrays declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 20:01:42 2017 +0200

    Fix OVAL_[GEN]_SUBMODULES arrays declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 19:57:52 2017 +0200

    Fix CVE_SUBMODULES array declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 16:10:57 2017 +0200

    Fix DS_SUBMODULES array declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 15:41:00 2017 +0200

    Remove the use of a magic number for array size.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Sep 22 11:54:49 2017 +0200

    Merge pull request #867 from jlcharton/patch-6
    
    Fix CVSS_SUBMODULES array declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 22 10:50:22 2017 +0200

    Fix CVSS_SUBMODULES array declaration

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 14:48:32 2017 +0200

    Issue #849: Document tailoring in "generate fix"
    
    This mentions tailoring options of oscap xccdf generate fix in the man
    page and in the command line help.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Sep 22 09:07:18 2017 +0200

    Merge pull request #860 from jlcharton/patch-11
    
    Update seap.h

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Sep 21 15:04:43 2017 +0200

    Added support for 'oscap info --profile <id>' functionality.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Sep 21 13:19:09 2017 +0200

    Increased code readability.
    
    Added a provide_machine_readable_output flag to the oscap_action struct.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Sep 21 11:56:31 2017 +0200

    Improved code state.
    
    Made sure that allocating and freeing of memory of an entity
    occurs in the same function.

Author: Matěj Týč <matyc@redhat.com>
Date:   Thu Sep 21 11:50:16 2017 +0200

    Made coding style fixes.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Sep 20 12:47:38 2017 -0400

    Merge pull request #873 from matejak/bugfix/vpath_build
    
    Add path specification to wildcard function arguments.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Sep 20 17:38:02 2017 +0200

    Add path specification to wildcard function arguments.
    
    Automake doesn't understand the wildcard function which is evaluated
    at install-time. Therefore, one has to make manually sure that the wildcard
    argument corresponds to the intended filesystem location even when the build
    happens outside the source tree.

Author: Matěj Týč <matyc@redhat.com>
Date:   Wed Sep 20 14:48:33 2017 +0200

    Enabled customization of the 'oscap info' datastream output format.
    
    Also split large function into smaller ones.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 14:46:30 2017 +0200

    Improve documentation of tailoring options in man page
    
    Users tend to forget to specify the customized profile ID.
    On the other hand the priority of options doesn't have to
    be shouted.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 13:49:40 2017 +0200

    Merge pull request #866 from jlcharton/patch-4
    
    Fix for platforms that don't implement O_NOFOLLOW

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 09:18:33 2017 +0200

    Merge pull request #859 from jlcharton/patch-10
    
    Add support for AIX

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 09:17:43 2017 +0200

    Merge pull request #858 from jlcharton/patch-9
    
    Add support for AIX

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 09:16:52 2017 +0200

    Merge pull request #857 from jlcharton/patch-8
    
    Add support for AIX

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 09:15:42 2017 +0200

    Merge pull request #856 from jlcharton/patch-7
    
    Add support for AIX

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 09:14:33 2017 +0200

    Merge pull request #855 from jlcharton/patch-3
    
    Minor fix for AIX

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 19 09:07:32 2017 +0200

    Merge pull request #846 from jlcharton/patch-1
    
    Add support for AIX and other legacy Unices

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Sep 18 22:18:31 2017 +0200

    Fix CPE_SUBMODULES array declaration

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Sep 18 22:13:01 2017 +0200

    Fix CVSS_SUBMODULES array declaration
    
    IBM XLC/C++: 1506-131 (W) Explicit dimension specification or initializer required for an auto or static array.
    GCC -pedantic: error: array size missing in CVSS_SUBMODULES

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Sep 18 22:01:11 2017 +0200

    Fix for platforms that don't implement O_NOFOLLOW

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Sep 18 10:50:52 2017 -0400

    Merge pull request #864 from jan-cerny/issue848
    
    Don't reserve space for empty elements in report

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 18 15:40:29 2017 +0200

    Don't reserve space for empty elements in report
    
    If some elements are empty, we shouldn't try to populate them in the report,
    because it looks very ugly.
    Helps to fix issue #848.

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Mon Sep 18 11:04:03 2017 +0200

    Merge pull request #853 from jlcharton/patch-6
    
    AIX requires <sys/socket.h> for AF_INET

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Mon Sep 18 10:56:34 2017 +0200

    Merge pull request #851 from jlcharton/patch-4
    
    Fix for platforms that don't implement O_NOFOLLOW

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Sep 18 08:56:06 2017 +0200

    Update seap.h
    
    AVOID redefinING EOPNOTSUPP and ECANCELED if they are already defined in <errno.h>.

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Sun Sep 17 23:02:56 2017 +0200

    Add support for AIX

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Sun Sep 17 22:57:40 2017 +0200

    Add support for AIX
    
    AIX requires <sys/socket.h> for AF_INET and AF_INET6

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Sun Sep 17 22:52:11 2017 +0200

    Add support for AIX

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Sun Sep 17 22:37:08 2017 +0200

    Add support for AIX

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Sun Sep 17 22:33:23 2017 +0200

    Minor fix for AIX
    
    AIX requires <sys/socket.h> for AF_INET.

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Sep 15 16:24:11 2017 -0400

    Merge pull request #854 from jlcharton/patch-7
    
    AIX requires <sys/socket.h> for AF_INET

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Sep 15 16:21:10 2017 -0400

    Merge pull request #850 from jlcharton/patch-3
    
    Minor changes for AIX

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 15 20:14:25 2017 +0200

    AIX requires <sys/socket.h> for AF_INET

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 15 20:11:36 2017 +0200

    AIX requires <sys/socket.h> for AF_INET

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 15 19:50:31 2017 +0200

    Fix for platforms that don't implement O_NOFOLLOW

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 15 19:45:17 2017 +0200

    Minor changes for AIX

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Sep 15 11:34:11 2017 -0400

    Merge pull request #845 from jlcharton/patch-2
    
    Update oscap-xccdf.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 15 14:19:38 2017 +0200

    Add support for AIX and other legacy Unices
    
    Also fix a 32/64 bit issue in get_size function and clean the code for BSD.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Sep 15 09:37:51 2017 +0200

    Merge pull request #841 from jlcharton/patch-1
    
    Added support for AIX in fsdev.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Thu Sep 14 19:12:04 2017 +0200

    Update oscap-xccdf.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Thu Sep 14 18:52:57 2017 +0200

    Update oscap-xccdf.c
    
    Make it more ISO C compliant:
    IBM XLC/C++: 1506-131 (W) Explicit dimension specification or initializer required for an auto or static array.
    GCC -pedantic: error: array size missing in XCCDF_SUBMODULES

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Sep 13 14:31:06 2017 -0400

    Merge pull request #842 from WesleyCeraso/html_profile_description_formatting
    
    Make sure formatting of profile descriptions is preserved when generating HTML reports/guides

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Sep 13 16:28:24 2017 +0200

    Make sure formatting of profile descriptions is preserved when generating HTML reports/guides
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Sep 13 09:21:07 2017 -0400

    Merge pull request #836 from jan-cerny/target
    
    HTML report to report target as container or image, not as host

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 13 13:36:57 2017 +0200

    Use low-level Docker API instead of high-level Docker API
    
    The high-level docker API is distributed in package python-docker,
    which is available only on Fedora, not in RHEL. We can achieve
    the same results by using the low-level docker API, which is already
    used by oscap-docker and Atomic.

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Wed Sep 13 12:30:50 2017 +0200

    Added support for AIX
    
    Also fix a couple of minor issues in __fsdev_init for Linux: potential FILE handle leak in case of malloc error - use endmntent instead of fclose.
    
    Questions:
    - Linux docs say that LSB deprecates the xyzmntent family of functions. So what should be used as a replacement?
    - In match_fs function, why not just call bsearch?

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 13 10:02:09 2017 +0200

    Merge pull request #840 from jlcharton/patch-1
    
    WCOREDUMP usage improvement in sch_pipe.c

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 13 09:48:19 2017 +0200

    Use URI format to identify chroot target
    
    We do same way for Docker images and container. We already use this format
    in OpenSCAP Daemon to describe scan targets.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 13 09:30:42 2017 +0200

    Rename env variable OSCAP_PROBE_PRIMARY_HOST_NAME
    
    This name was misleading. It wasn't related to OVAL probes and it wasn't
    primary. OSCAP_EVALUATION_TARGET is a more self-documenting name,
    because it's similar to HTML report field where this value is displayed.

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Tue Sep 12 20:03:06 2017 +0200

    WCOREDUMP usage improvement in sch_pipe.c
    
    Fix for AIX and for other platforms where WCOREDUMP is not defined.
    Follow Linux Programmer's Manual (i.e. man waitpid) for WCOREDUMP: "This macro should be employed only if WIFSIGNALED returned true".

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Sep 12 13:42:36 2017 -0400

    Merge pull request #839 from bachradsusi/is-selinux-enabled
    
    process58: Do not collect SELinux labels when SELinux is not enabled

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Sep 12 12:46:34 2017 -0400

    Merge pull request #838 from WesleyCeraso/fix_multiline_profile_descriptions
    
    Fix profile descriptions in generated roles

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Mon Sep 11 18:00:02 2017 +0200

    Fix profile descriptions in generated roles
    
    When there are newlines in profile description it now includes commentary marks in all lines
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Petr Lautrbach <plautrba@redhat.com>
Date:   Tue Sep 12 17:01:32 2017 +0200

    process58: Do not collect SELinux labels when SELinux is not enabled
    
    getpidcon() function returns a value from /proc/<pid>/attr/current but
    this interface is used by other LSM's like AppArmor too so the value
    could be SELinux unrelated. Therefore we should check if SELinux is
    enabled before we try to collect a process label.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Sep 11 15:31:21 2017 -0400

    Merge pull request #837 from WesleyCeraso/fix_free_non_heap_memory
    
    Fix freeing non-heap memory

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Mon Sep 11 16:33:49 2017 +0200

    Fix freeing non-heap memory
    
    In the exceptional case when the function oscap_textlist_get_preferred_plaintext returns NULL, we'd try to free a non-heap memory.
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 11 13:42:24 2017 +0200

    Change a field description
    
    The target isn't only a machine, it could be a container
    or image or mounted filesystem as well.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 11 13:38:19 2017 +0200

    Show if the target was container or image
    
    This information will be passed to oscap and will appear in results
    and reports.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 11 12:20:53 2017 +0200

    Override the target name by environment variable
    
    OSCAP_PROBE_PRIMARY_HOST_NAME is used by oscap-docker, oscap-vm
    and oscap-chroot to pass the real name of the target to oscap.
    If OSCAP_PROBE_PRIMARY_HOST_NAME isn't set, we use the hostname
    of the host on which oscap is running.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 11 11:46:51 2017 +0200

    Pass target name to oscap via oscap_chroot method
    
    The target name specified by user on command-line
    will get to oscap_chroot. The enviroment variable
    OSCAP_PROBE_PRIMARY_HOST_NAME isn't read anywhere
    in OpenSCAP.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 11 08:53:56 2017 +0200

    Merge pull request #835 from jlcharton/patch-2
    
    Fix for systems that lack POSIX.1-2008 realpath

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Fri Sep 8 13:34:20 2017 +0200

    Merge pull request #834 from jlcharton/patch-1
    
    Fix for systems that lack POSIX.1-2008 realpath

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 8 12:23:56 2017 +0200

    Fix for systems that lack POSIX.1-2008 realpath
    
    Also fix a couple of other minor issues (strdup returned value and error message).

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 8 11:09:02 2017 +0200

    Fix for systems that lack POSIX.1-2008 realpath

Author: Bruno Ducrot <bruno@poupinou.org>
Date:   Fri Sep 8 08:40:54 2017 +0200

    Fix process58 for Ubuntu

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Sep 6 11:46:54 2017 -0400

    Merge pull request #812 from jan-cerny/arf_im
    
    RHBZ#1485876: Fix oscap running out of memory

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 6 13:19:52 2017 +0200

    Merge pull request #816 from WesleyCeraso/make_check_binary
    
    Enables make check to use a different oscap binary

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Wed Sep 6 10:17:31 2017 +0200

    Merge pull request #832 from jlcharton/patch-2
    
    Update test_api_seap_spb.c

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Sep 5 12:59:47 2017 -0400

    Merge pull request #831 from jlcharton/patch-1
    
    Update oscap-oval.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Tue Sep 5 16:53:06 2017 +0200

    Update test_api_seap_spb.c
    
    Fix non standard void pointer arithmetic (GCC specific extension).

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Tue Sep 5 16:11:30 2017 +0200

    Update oscap-oval.c
    
    Fix the following warning raised by Oracle Developer Studio 12.5:
      CC       oscap-oscap-oval.o
    "oscap-oval.c", line 361: warning: improper pointer/integer combination: arg #3.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 5 13:49:48 2017 +0200

    Merge pull request #829 from WesleyCeraso/offline_nochroot_probes
    
    Offline scan without chroot in RPM*_probe, textfile*_probe

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 5 13:46:57 2017 +0200

    Merge pull request #830 from jlcharton/patch-1
    
    Update oval_collection.c

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Mon Sep 4 14:05:39 2017 +0200

    Enables offline scan without chroot in rpminfo rpmverify and rpmverifyfiles probes
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Mon Sep 4 13:58:37 2017 +0200

    Enables offline scan without chroot in textfilecontent and textfilecontent54 probes
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Mon Sep 4 16:29:02 2017 +0200

    Update oval_collection.c
    
    Removed obsolote/weird _debugStack stuff (see #818).

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 4 12:53:41 2017 +0200

    Merge pull request #827 from jlcharton/patch-2
    
    Fixed oval_session.c portability issue

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 4 12:46:37 2017 +0200

    Merge pull request #825 from jlcharton/patch-1
    
    Fixed void* pointer arithmetic in spb.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 1 13:23:17 2017 +0200

    Update oval_session.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Fri Sep 1 12:16:45 2017 +0200

    Update spb.c

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Thu Aug 31 12:14:42 2017 +0200

    Enables make check to use a different oscap binary using CUSTOM_OSCAP variable
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Aug 31 09:28:36 2017 +0200

    Merge pull request #823 from jlcharton/patch-4
    
    Update oval_fts.c

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Aug 31 09:26:34 2017 +0200

    Merge pull request #822 from jlcharton/patch-3
    
    Update oval_syscharIterator.c

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Aug 31 09:25:32 2017 +0200

    Merge pull request #821 from jlcharton/patch-2
    
    Update oval_resultTestIterator.c

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Aug 31 09:24:43 2017 +0200

    Merge pull request #820 from jlcharton/patch-1
    
    Update oval_resultDefinitionIterator.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Wed Aug 30 22:18:40 2017 +0200

    Update oval_fts.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Wed Aug 30 22:07:17 2017 +0200

    Update oval_syscharIterator.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Wed Aug 30 22:05:17 2017 +0200

    Update oval_resultTestIterator.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Wed Aug 30 22:01:07 2017 +0200

    Update oval_resultDefinitionIterator.c

Author: jlcharton <7339239+jlcharton@users.noreply.github.com>
Date:   Wed Aug 30 19:45:49 2017 +0200

    Update fsdev.c

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Aug 30 14:35:53 2017 -0400

    Merge pull request #810 from redhatrises/add_python3_api
    
    Add python3 openscap_api.py

Author: Gabe <redhatrises@gmail.com>
Date:   Wed Aug 30 09:46:07 2017 -0600

    Enable common openscap_api.py build for python2 and python3

Author: Gabe <redhatrises@gmail.com>
Date:   Wed Aug 30 09:45:39 2017 -0600

    Update openscap_api.py for both python 2.6+ and python 3+

Author: Gabe <redhatrises@gmail.com>
Date:   Wed Aug 30 09:44:36 2017 -0600

    Move openscap_api.py into common src folder

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 30 16:59:51 2017 +0200

    Use oscap_source to create source datastream from XCCDF
    
    Avoid creating oscap_source twice.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 30 16:50:17 2017 +0200

    Refactor: Extract function ds_sds_compose_xmlDoc_from_xccdf_source
    
    Levarages previously introduced function
    ds_sds_compose_add_component_source_with_ref().
    This allows as to create a datastream from oscap_source XCCDF
    if we already have it.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 30 16:24:52 2017 +0200

    Reuse already existing oscap_source
    
    When we call ds_sds_compose_add_component_internal, we already
    have oscap_source, so there is no need to create it again.
    We can do it because function ds_sds_compose_add_component_internal
    is called only at single place.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 30 15:42:19 2017 +0200

    Refactor: Extract function ds_sds_compose_add_component_source_with_ref
    
    The new function takes oscap_source instead of a filepath.
    The new function is handy if we already have the file loaded.
    By using the new function we can prevent loading a file
    that we already have loaded.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 30 09:58:45 2017 +0200

    Merge pull request #815 from dahaic/pattern_match_non_utf_test
    
    Test to cover filecontent test of non-utf files

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Aug 29 14:59:19 2017 -0400

    Merge pull request #813 from dahaic/test_generate_guide_update
    
    Test generate guide update

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Tue Aug 29 00:30:23 2017 +0200

    Test to cover filecontent test of non-utf files

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Mon Aug 28 22:35:21 2017 +0200

    Check that generated guide contains only selected rules.

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Mon Aug 28 21:49:14 2017 +0200

    Shuffle generate guide tests for better clarity.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Aug 28 13:56:18 2017 -0400

    Merge pull request #811 from jan-cerny/tags
    
    Add tags file to .gitignore

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 28 15:18:17 2017 +0200

    Don't use temporary file
    
    It's better to use the datastream XML tree directly than
    to save the datastream in a file and then load it back again.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 28 14:44:51 2017 +0200

    Refactor: Extract function ds_sds_compose_xmlDoc_from_xccdf

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 28 13:08:05 2017 +0200

    Add tags file to .gitignore
    
    tags is a file produced by ctags tool

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Aug 25 15:43:53 2017 +0200

    Bump version after release
    
    Next release from the maint-1.2 branch will be 1.2.16.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Aug 25 14:24:01 2017 +0200

    openscap-1.2.15

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Aug 25 14:15:31 2017 +0200

    Bump soname from 8.12.0 to 8.13.0
    
    31 new symbols were added, no symbols were removed

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Aug 24 13:52:15 2017 +0200

    Merge pull request #808 from jan-cerny/offline_rpmdb
    
    Enable OFFLINE_RPMDB mode in rpminfo probe

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Aug 24 08:06:11 2017 +0200

    Merge pull request #809 from mpreisler/include_guard_fixes
    
    Include guard fixes

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 23 14:41:18 2017 -0400

    Added include guards to iflisteners-proto.h

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 23 14:40:39 2017 -0400

    Added include guard to systemdshared.h

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 23 14:39:35 2017 -0400

    Added include guards to process58-capability.h

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 23 14:37:51 2017 -0400

    Removed an unused empty header and source files rbt_gen.{h,c}

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Aug 23 14:49:58 2017 -0400

    Merge pull request #807 from jan-cerny/warnings
    
    Fix some warnings

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 23 14:36:58 2017 -0400

    Added include guards to XCCDF/unused.h

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 23 14:36:08 2017 -0400

    Fix a typo in include guard in sce_engine_api.h
    
    Also added pragma once.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 23 13:33:43 2017 +0200

    Enable OFFLINE_RPMDB mode in rpminfo probe
    
    The custom path to RPM database was set before config files
    were loaded, so it was overwritten by value from config files,
    therefore it usually scanned the host RPMs. This should be
    fixed by calling the addMacro() function after calling
    rpmReadConfigFiles().

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 23 09:27:29 2017 +0200

    Merge pull request #806 from mpreisler/const_string_map
    
    The enum value in oscap_string_map elements can be const

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 22 12:46:07 2017 -0400

    The enum value in oscap_string_map elements can be const
    
    And should be to avoid coding errors.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 16:29:00 2017 +0200

    Fix a warning
    
    Addressing:
    ```
    oval_variable.c:1217:61: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
       struct oval_variable_restriction_iterator *restrictions = oval_variable_possible_restriction_get_restrictions(pr);
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 16:24:43 2017 +0200

    Fix a warning
    
    Addressing:
    ```
    oval_variable.c:1214:78: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
      struct oval_variable_possible_restriction_iterator *possible_restrictions = oval_variable_get_possible_restrictions(variable);
                                                                                  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 16:21:51 2017 +0200

    Fix a warning
    
    Addressing:
    ```
    oval_variable.c:1204:66: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
      struct oval_variable_possible_value_iterator *possible_values = oval_variable_get_possible_values(variable);
                                                                      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 16:16:32 2017 +0200

    Fix a warning
    
    Addressing:
    
    ```
    oval_variable.c:936:60: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
      struct oval_variable_restriction_iterator *restrictions = oval_variable_possible_restriction_get_restrictions(pr);
                                                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 16:10:47 2017 +0200

    Fix a warning
    
    Addressing:
    ```
    oval_variable.c:695:15: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
         old_r_itr = oval_variable_possible_restriction_get_restrictions(old_pr);
                   ^
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 15:58:58 2017 +0200

    Fix a warning
    
    ```
    oval_variable.c:689:15: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
        old_pr_itr = oval_variable_get_possible_restrictions(old_variable);
                   ^
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 15:56:46 2017 +0200

    Fix a warning
    
    Addressing:
    ```
    oval_variable.c:679:15: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
        old_pv_itr = oval_variable_get_possible_values(old_variable);
                   ^
    ```

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 21 15:30:33 2017 +0200

    Fix a warning
    
    Addressing:
    ```
    sexp-manip.c: In function ‘__SEXP_sizeof_lmemb’:
    sexp-manip.c:2038:21: warning: this statement may fall through [-Wimplicit-fallthrough=]
                     ret = SEXP_rawval_lblk_cb ((uintptr_t)SEXP_LCASTP(v_dsc.mem)->b_addr, (int(*)(SEXP_t *, void *))__SEXP_sizeof_lmemb, sz, 1);
                     ~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    sexp-manip.c:2040:9: note: here
             case SEXP_VALTYPE_NUMBER:
             ^~~~
    ```

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Aug 17 11:21:20 2017 -0400

    Merge pull request #805 from jan-cerny/fedora28
    
    Add Fedora 28 CPE

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Aug 17 10:58:30 2017 +0200

    Add Fedora 28 CPEs
    
    Fedora 27 has been branched.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Aug 16 10:59:44 2017 -0400

    Merge pull request #800 from jan-cerny/report_without_notselected
    
    Remove notselected rules and groups from HTML report

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Aug 16 10:55:47 2017 -0400

    Merge pull request #804 from jan-cerny/issue_772
    
    Issue #772: Fix timestamp in remediation script header

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 16 15:53:51 2017 +0200

    Issue #772: Fix timestamp in remediation script header
    
    The timestamp in result-oriented remediation script header
    was wrong, it said that evaluation was started after
    it was finished.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 16 12:39:47 2017 +0200

    Merge pull request #803 from mpreisler/remove_requires_from_pkgconfig_file
    
    Remove requires from pkgconfig file

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 15 17:07:34 2017 -0400

    Use the TLS version of the openscap website in pkgconfig file

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Aug 15 17:07:14 2017 -0400

    libxml2 and libxslt headers are not required when using OpenSCAP public API

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Aug 15 17:04:47 2017 -0400

    Merge pull request #796 from isimluk/rhbz#1414777
    
    No need to require libpcre when you depend on libopenscap

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Aug 15 11:46:57 2017 -0400

    Merge pull request #801 from jan-cerny/oval_5_11_2
    
    Add OVAL 5.11.2 schemas

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Aug 15 11:46:03 2017 -0400

    Merge pull request #802 from jan-cerny/comment
    
    Remove resolved comment

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 15 10:08:12 2017 +0200

    Fixed missing imports in OVAL 5.11.2 schemas
    
    Similar to 627a29aef8246eded6b663e49480e232aeb63dae

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 15 09:27:51 2017 +0200

    Merge pull request #798 from mpreisler/dont_reinvent_builtins
    
    Don't reinvent builtins in our codebase

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 15 08:44:55 2017 +0200

    Remove resolved comment
    
    This behavior is not a bug and respective BZ was closed as NOTABUG.
    See https://bugzilla.redhat.com/show_bug.cgi?id=1473207

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 15:27:51 2017 +0200

    Add OVAL 5.11.2 schematrons

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 15:23:11 2017 +0200

    Create a runnable script from the Schematron HOWTO
    
    This file was almost runnable, so we can convert it
    into a script to automate this task easily.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 15:17:28 2017 +0200

    Use ExtractSchFromXSD template from the OVAL Language repository
    
    The *.sch files are no longer available for download. However,
    a XSLT template that will create them is available in the repository.
    This commit updates the schmeatron HOWTO instructions to use this
    new XSLT template.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 15:13:13 2017 +0200

    Change URL of schematron XSLT tool
    
    The original URL is no longer available.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 14:38:58 2017 +0200

    Use a single (OpenSCAP wide) XSD schema for XML signatures
    similar to 5b2c5f8c8d6665ffb84223f962ae20ec577bd7c8

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 14:22:45 2017 +0200

    Add OVAL 5.11.2 schemas

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 12:55:53 2017 +0200

    Remove notselected rules and groups from HTML report
    
    Notselected rules are never evaluated, so there is no
    need to include them in the Evaluation report.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Mon Aug 14 12:08:39 2017 +0200

    Merge pull request #799 from jan-cerny/fix_mount_dir
    
    Verify the container's filesystem location

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 10:02:54 2017 +0200

    Merge pull request #793 from balleman/tfc54_multiline_default
    
    OVAL Textfilecontent54 multiline behavior default bugfix

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 09:19:09 2017 +0200

    Merge branch 'maint-1.2' into dont_reinvent_builtins

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Aug 14 08:59:45 2017 +0200

    Merge pull request #797 from mpreisler/deprecate_oscap_allocators
    
    Deprecate oscap allocators

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Aug 11 10:27:47 2017 -0400

    Merge pull request #795 from jan-cerny/fix_docker
    
    Fix oscap-docker with Docker newer than 2.0

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Aug 11 13:44:01 2017 +0200

    Refactor: Extract method _find_chroot_path

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Aug 11 13:17:25 2017 +0200

    Verify the container's filesystem location
    
    If the container or image doesn't mount in 'rootfs' subdirectory,
    we will fallback to the original mount directory.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 15:42:13 2017 -0400

    Convert string to long and cast to float
    
    This kind of sucks but it keeps the old semi-broken behavior that worked
    for years. At some point we should find a working locale independent and
    reliable way to parse floats and use that.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:48:43 2017 -0400

    Minor code readability improvement in oscap_str_startswith

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:43:18 2017 -0400

    oscap_find_file is a lie, it doesn't exist
    
    It's well documented for something that doesn't exist though...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:41:03 2017 -0400

    Inlined and documented oscap_str_str{starts,ends}with
    
    These are quite useful and we should keep them IMO.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:32:04 2017 -0400

    Inlined oscap_streq, added comments that people should just use strcmp
    
    Using the standard C stuff makes it easier for new contributors to read
    and write OpenSCAP code.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:29:07 2017 -0400

    Inlined oscap_strcmp, added comments that users should use strcmp directly if possible
    
    I wish we could just replace oscap_strcmp with strcmp but that would be
    unsafe because of the changed behavior.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:24:49 2017 -0400

    Just use strtol instead of oscap_strtol
    
    Less confusing to contributors...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:20:54 2017 -0400

    Inline and simplify oscap_strdup
    
    I wish we would just use the strdup standard function but it turns out
    it's not standard in C11. Microsoft recommends using _strdup instead so
    I kept our own definition of the whoole thing.
    
    Inlining does help GCC and other compilers use the builtin strdup and in
    some cases that results in minor performance improvements.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:12:52 2017 -0400

    Improvements in oval_component_free to be consistent with expected dtor behavior

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:12:32 2017 -0400

    Very minor readability improvements in oval_value_free
    
    If we are about to free it why set its member to NULL...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 13:03:52 2017 -0400

    Minor changes in oval_test_free to be consistent with expected dtor behavior

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Aug 10 12:37:03 2017 -0400

    Fixed indentation in XCCDF/value.c destructor

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:32:37 2017 -0400

    Comments and formatting in alloc.h

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:30:37 2017 -0400

    RIP OSCAP_SALLOC
    
    We never used it...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:30:15 2017 -0400

    RIP oscap_valloc
    
    We never used it...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:29:18 2017 -0400

    Mark the allocator wrappers as deprecated, provide alternatives

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:25:54 2017 -0400

    Removed the debugging variants of oscap alloc reimplementations
    
    We don't have to keep the debugging ABI stable.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:24:53 2017 -0400

    RIP oscap_reallocf
    
    We never used it...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:23:29 2017 -0400

    Use just "realloc" instead of "oscap_realloc"
    
    Makes it less confusing for new contributors and oscap_realloc doesn't
    really do anything except call realloc.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:20:14 2017 -0400

    Use just "calloc" instead of "oscap_calloc"
    
    Makes it less confusing for new contributors and oscap_calloc doesn't
    really do anything except call calloc.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:15:40 2017 -0400

    Use just "malloc" instead of "oscap_alloc"
    
    Makes it less confusing for new contributors and oscap_alloc doesn't
    really do anything except call malloc and a bunch error checking that
    will never be triggered.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 17:04:07 2017 -0400

    RIP oscap_free
    
    I had to keep the actual __oscap_free symbol because it's not hidden
    and is in the ABI.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:57:07 2017 -0400

    Use just "free" instead of "oscap_free" in OVAL
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.
    
    Also fixed a few instances of const violations. I couldn't fix the
    oval_schema_version_to_cstr because that one is public API. We will have
    to fix it in master later.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:36:35 2017 -0400

    Use just "free" instead of "oscap_free" in CCE
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:34:27 2017 -0400

    Fixed a bunch of const violations with the move to free

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:25:18 2017 -0400

    Use just "free" instead of "oscap_free" in common
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:22:08 2017 -0400

    Use just "free" instead of "oscap_free" in XCCDF_POLICY
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.
    
    Also fixed a few cases of const casting.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:15:06 2017 -0400

    Use just "free" instead of "oscap_free" in XCCDF
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.
    
    Fixed const qualifiers for some members which we used as if they were
    non-const.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:07:36 2017 -0400

    Use just "free" instead of "oscap_free" in oscap_source
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 16:04:19 2017 -0400

    Use just "free" instead of "oscap_free" in SCE
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.
    
    Also removed a bunch of if not NULL free, it's not necessary and is just
    dummy code.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 15:59:07 2017 -0400

    Use just "free" instead of "oscap_free" in DS
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.
    
    Also changed a bunch of pointers to non-const because we were breaking
    memory ownership conventions and it was producing GCC and Clang warnings.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 15:53:28 2017 -0400

    Use just "free" instead of "oscap_free" in CVSS
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 15:52:30 2017 -0400

    Use just "free" instead of "oscap_free" in CVE
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Aug 9 15:50:45 2017 -0400

    Use just "free" instead of "oscap_free" in CPE
    
    Makes it less confusing for new contributors and oscap_free doesn't
    really do anything except call free.

Author: Šimon Lukašík <isimluk@fedoraproject.org>
Date:   Wed Aug 9 17:56:21 2017 +0200

    No need to require libpcre when you depend on libopenscap

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 8 14:19:18 2017 +0200

    Fix docker API call
    
    Class docker.Client was renamed to docker.APIClient
    in python-docker-py 2.0.0.
    See https://github.com/docker/docker-py/releases/tag/2.0.0

Author: Brady Alleman <brady@alleman.me>
Date:   Mon Aug 7 12:26:39 2017 -0500

    fixes #792 - when resetting behavior attributes due to use of filepath, only copy attributes that exist

Author: Brady Alleman <brady@alleman.me>
Date:   Mon Aug 7 12:20:57 2017 -0500

    cleanup temp directory on completion

Author: Brady Alleman <brady@alleman.me>
Date:   Mon Aug 7 12:20:42 2017 -0500

    add test_behavior_multiline.* to distribution

Author: Brady Alleman <brady@alleman.me>
Date:   Mon Aug 7 10:18:22 2017 -0500

    add test cases for textfilecontent54 multiline behavior

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Wed Aug 2 16:29:08 2017 +0200

    Merge pull request #789 from jan-cerny/sysctl
    
    Skip empty sysctl values

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Aug 2 15:53:04 2017 +0200

    Fix a typo

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 1 15:28:26 2017 +0200

    Skip empty sysctl values
    
    We will skip empty values to be consistent with "sysctl" tool.
    If this behavior will be considered a bug in "sysctl" tool,
    we will need to revert this commit. See RHBZ #1473207.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 1 20:54:21 2017 +0200

    Merge pull request #788 from matusmarhefka/update_readme_with_deps
    
    Updated 'Compilation' section in README.md

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Aug 1 12:57:26 2017 -0400

    Merge pull request #781 from jan-cerny/profile_names
    
    Print profile names in "oscap info"

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Tue Aug 1 14:50:54 2017 +0200

    Updated 'Compilation' section in README.md

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Aug 1 14:42:57 2017 +0200

    Swap profile ID and abstract if profile is abstract

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Mon Jul 31 17:31:04 2017 +0200

    Merge pull request #787 from matusmarhefka/tests_mitre_selinux_fix
    
    tests/mitre/test_mitre.sh: do not run SELinux test on systems without SELinux

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Mon Jul 31 05:20:38 2017 -0400

    tests/mitre/test_mitre.sh: do not run SELinux test on systems without SELinux
    
    * added check if SELinux is enabled and if it is not the test
      linux-def_selinuxsecuritycontext_test.xml is skipped

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Thu Jul 20 11:06:00 2017 +0200

    Merge pull request #780 from mpreisler/html_report_group_by_improvements
    
    Html report group by improvements (CJIS, 800-171)

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Jul 17 11:57:58 2017 +0200

    Print profile names in "oscap info"
    
    Along with profile IDs, profile names will be also displayed.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Jul 18 17:32:15 2017 +0200

    Merge pull request #764 from jan-cerny/issue723
    
    Issue #723: Don't require other resources in "generate fix"

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Jul 18 16:47:49 2017 +0200

    Merge pull request #776 from jan-cerny/issue773
    
    Issue #773: Ensure that bash fixes are always selected

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jun 27 13:28:56 2017 +0200

    Issue #723: Don't require other resources in "generate fix"
    
    Checks are not necessary to load OVAL because the remediation
    scripts are stored in the XCCDF. This will remove the warning
    for remote resources that are not needed. The commit introduces
    new type, xccdf_session_flags_t, which speciefies flags
    for XCCDF session. These flags drive loading content in XCCDF
    session.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Jul 17 10:46:04 2017 +0200

    Merge pull request #730 from Hexadorsimal/fixed_benchmark_rename_assert
    
     Fix for dubious assert when renaming benchmarks

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jul 14 10:30:56 2017 -0400

    Don't use "ID" suffix in HTML report group-by, use PCI-DSS with a dash

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jul 14 13:48:20 2017 +0200

    Issue#774: Mention SSG in man

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jul 13 14:13:43 2017 -0400

    Added support for the shortname of NIST 800-171 in HTML report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jul 13 14:08:24 2017 -0400

    Added support for FBI CJIS shortname into HTML report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jul 13 14:06:58 2017 -0400

    Renamed convert-url-to-name to convert-reference-url-to-name
    
    Names are important.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Jul 12 13:14:51 2017 +0200

    Fix wrong content in a testcase
    
    We can't assume that something is bash if it's not explicitely
    specified in the system attribute. In theory, each unspecified
    fix could be in a different language. The XCCDF specifiaction
    doesn't specify a default value of the system attribute.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jul 11 14:31:50 2017 +0200

    Add --fix-type to specify remedation scripts
    
    Users will no longer need to type long template URNs
    for the most popular languages used in remediation scripts
    (bash, ansible and puppet).

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jul 4 15:40:36 2017 +0200

    Issue #773: Ensure that bash fixes are always selected
    
    Bash is a default language for remediation scripts. If we don't
    provide a template explicitely, the result script shouldn't
    contain Ansible or other snippets.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Jul 4 12:01:11 2017 -0400

    Merge pull request #775 from jan-cerny/issue715
    
    Issue #715: Fix resource leaks reported by Coverity

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jul 4 14:52:18 2017 +0200

    Issue #715: Fix resource leaks reported by Coverity
    
    Addressing:
    openscap-1.2.14/utils/oscap-info.c:399: leaked_storage: Variable "report_it" going out of scope leaks the storage it points to.
    openscap-1.2.14/utils/oscap-info.c:399: leaked_storage: Variable "asset_it" going out of scope leaks the storage it points to.
    openscap-1.2.14/utils/oscap-info.c:394: leaked_storage: Variable "session" going out of scope leaks the storage it points to.
    openscap-1.2.14/utils/oscap-info.c:394: leaked_storage: Variable "report_it" going out of scope leaks the storage it points to.
    openscap-1.2.14/utils/oscap-info.c:394: leaked_storage: Variable "asset_it" going out of scope leaks the storage it points to.
    openscap-1.2.14/src/XCCDF_POLICY/xccdf_policy_remediate.c:647: leaked_storage: Variable "rr_it" going out of scope leaks the storage it points to.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jul 4 11:44:17 2017 +0200

    Merge pull request #767 from kjankov/generate_short_id
    
    [WIP] Suffix/short id option for --result-id arguments

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jul 3 12:49:32 2017 -0400

    Added xccdf_session_get_result_id to ensure that scripts are generated from result suffix and not profiles when using --result-id

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 30 14:40:54 2017 -0400

    Rewrote unit test to use evaluated results instead of xccdf benchmark. Checks for correct match, multiple match error, and no match error.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 29 12:55:55 2017 -0400

    Preliminary tests for generate fix --result-id suffix

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jun 28 16:28:44 2017 -0400

    Made fixes to get_result_by_id_suffix function- call original get_result_by_id function only once

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jun 28 14:59:16 2017 -0400

    Fixes to make suffix selection first look for exact match; documentation corrected for xccdf_build_policy_from_testresult

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 27 14:34:54 2017 -0400

    Header documentation for result id suffix function; moved to benchmark.c to match existing function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 27 14:05:54 2017 -0400

    Fixes to xccdf_benchmark_get_result_id_suffix function

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 22 17:06:29 2017 -0400

    Implementing support of suffix in place of full TestResult id for command line argument --result-id

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Jul 3 08:05:29 2017 +0200

    Merge pull request #757 from kjankov/script_header
    
    Bash script header generation for results of generate fix command

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 29 13:13:02 2017 -0400

    Fixes to script header generation and tests; titles and input, script options

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 27 12:49:10 2017 -0400

    More fixes to testing; renamed script header tests

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Jun 28 11:15:34 2017 -0400

    Merge pull request #766 from jan-cerny/fix_manual
    
    Remove unrelated text in the middle of other text

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Jun 28 09:24:04 2017 +0200

    Remove unrelated text in the middle of other text

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jun 26 16:52:11 2017 -0400

    Additional fixes to the test_fix_arf.sh unit test

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jun 26 16:17:37 2017 -0400

    Fixing arf test that fails due to new comment header (in progress)

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jun 26 12:45:14 2017 -0400

    More fixes and additions to script header generation testing

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jun 26 11:19:34 2017 -0400

    Renamed "map" variable to dpkg_mmap in dkpginfo-helper.cxx
    
    This avoids compile errors with gcc:
    unix/linux/dpkginfo-helper.cxx:22:14: error: ‘MMap* map’ redeclared as different kind of symbol
     static MMap *map = NULL;

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jun 26 10:35:21 2017 -0400

    Made fixes to header generation test script

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 23 18:16:33 2017 -0400

    Improvement to test and addition of testing of generated headers for Ansible scripts

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 23 17:53:51 2017 -0400

    Preliminary implementation of a test for bash script header generation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 23 15:29:56 2017 -0400

    Fixed memory leak

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 23 13:08:13 2017 -0400

    Condensed script header generation function into more concise form

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 23 11:50:53 2017 -0400

    Preliminary implementation of ansible script header generation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 22 16:55:48 2017 -0400

    Fixed script header to include --template in the oscap command example

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 22 15:50:59 2017 -0400

    Improved script header message for results-based script generation

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 22 15:27:52 2017 -0400

    Fixed script header message, iterator placement and usage

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 22 14:58:20 2017 -0400

    Fixed changes in header generation function to avoid segfault and to generate results-based headers.

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Jun 22 14:54:12 2017 -0400

    Merge pull request #756 from xiangzhai/maint-1.2
    
    Fix Memory leak for dpkginfo-helper found by clang analyzer

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 22 12:00:37 2017 -0400

    Fixed error and added XCCDF Version info to script header

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jun 21 15:46:15 2017 -0400

    Preliminary implementation of script header generation. Header describes openscap version, profile and benchmark ids, profile title and description, and other relevant info

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Jun 22 13:16:39 2017 +0200

    Merge pull request #753 from kjankov/short_id
    
    Added and implemented the xccdf_session_set_profile_id_by_suffix meth…

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jun 21 09:39:17 2017 -0400

    Added profile suffix matching feature for arguments of the generate fix command.

Author: Xiang Zhai <xiang.zhai@i-soft.com.cn>
Date:   Wed Jun 21 13:00:24 2017 +0800

    Fix Memory leak for dpkginfo-helper found by clang analyzer

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Jun 20 14:57:38 2017 -0400

    Merge pull request #755 from kjankov/manual_spelling
    
    Fixed spelling errors in the manual.adoc

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 20 14:31:19 2017 -0400

    Fixed spelling errors in the manual.adoc

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 20 11:48:35 2017 -0400

    Fixed statement in xccdf-session.c that caused profile evaluation to break.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 20 10:40:32 2017 -0400

    Changes to Makefile with tailoring file so that distcheck passes

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 20 10:33:46 2017 -0400

    Formatting changes with conditional statements to conform with Linux kernel coding style.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jun 19 16:52:32 2017 -0400

    Added four basic tailoring test cases to the test_profile_selection_by_suffix.sh unit test file

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Mon Jun 19 13:59:47 2017 -0400

    Improved suffix selection test to search result file and stderror file for expected outputs.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Jun 19 12:37:11 2017 -0400

    Merge pull request #754 from jan-cerny/ext_var_err
    
    RHBZ#1446451: Allow to identify problems with external variables

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 16 16:04:52 2017 -0400

    Added test in XCCDF/unittests to check correct suffix matching, including failure for multiple matches and missing profiles.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Thu Jun 15 14:44:01 2017 -0400

    Full implementation of function to match profiles by suffix; gives error when multiple matches are found

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Wed Jun 14 13:51:31 2017 -0400

    Changed error message for the case that a suffix match is not found

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Tue Jun 13 16:14:43 2017 -0400

    Added and implemented xccdf_session_set_profile_id_by_suffix to xccdf_session.c
    
    To improve command line interface for the user: instead of requiring the full extended profile id,
    the user only needs to give the profile suffix as an argument. Later commits will make sure that only
    one profile matches the suffix. Fixed formatting and documentation.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jun 13 15:23:55 2017 +0200

    Add a message for items evaluated as 'error'

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jun 13 13:28:45 2017 +0200

    Add an info message
    
    If an OVAL variable consists of an OVAL component that references
    another variable (so-called var_ref component), we will let user
    know that the reference is evaluated. For better readability we
    indent the log.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jun 13 12:34:22 2017 +0200

    Report variable queries for all kinds of variables
    
    We reported variable queries and their obtained values
    for local variables only. This commit expands
    the reporting also for variables that aren't local.
    It will enhance debugging problems with external variables.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jun 13 12:33:19 2017 +0200

    Refactor no-values check as well

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jun 13 12:18:32 2017 +0200

    Refactor: Extract function _dump_variable_values
    
    This commit extracts code that is used to dispaly variable values
    in verbose mode so that we can reuse the code in other places
    in this file.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Jun 12 11:21:56 2017 +0200

    Merge pull request #748 from matusmarhefka/single-rule-feature
    
    Added functionality for single rule evaluation

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Jun 12 10:40:19 2017 +0200

    Merge pull request #752 from kjankov/README_fix
    
    Change to clarify tools needed for autogen

Author: Matus Marhefka <mmarhefk@redhat.com>
Date:   Thu Jun 1 05:19:14 2017 -0400

    Added functionality for single rule evaluation
    
    * Added '--rule' cmd option for xccdf eval.
    * Usage:
        oscap xccdf eval [--remediate] [--profile PROFILE] --rule RULE INPUT_FILE
      in case profile is not specified the default profile will be used.
    * Note: When both profile and rule are specified and the rule is notselected
      in that profile, it will not be evaluated and 0 will be returned.
    * Added unit tests.

Author: Katarina Jankov <kjankov@redhat.com>
Date:   Fri Jun 9 16:22:31 2017 -0400

    Change to clarify tools needed for autogen

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Jun 9 10:32:14 2017 -0400

    Merge pull request #751 from jan-cerny/generate_fix_multiple_benchmarks
    
    Issue #722: Support multiple benchmark datastreams in "xccdf generate fix"

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jun 9 13:38:02 2017 +0200

    Issue #722: Support multiple benchmark datastreams in "xccdf generate fix"
    
    This commit will allow to select a benchmark from which the fix
    will be generated if there are multiple benchmarks in a single
    datastream.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Jun 8 14:15:21 2017 +0200

    Fix broken links in README

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Jun 8 08:45:28 2017 +0200

    Merge pull request #747 from iokomin/oraclelinux_cpe_support
    
    Oracle Linux cpe support

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Jun 6 14:34:02 2017 +0200

    Merge pull request #743 from Hexadorsimal/pr-oval-variable-iterators
    
    Type-specific oval variable iterators

Author: Ilya Okomin <ilya.okomin@oracle.com>
Date:   Tue Jun 6 10:39:39 2017 +0300

    Fix test_rhel to workaround test failure on Oracle Linux

Author: Ilya Okomin <ilya.okomin@oracle.com>
Date:   Mon Apr 10 14:26:13 2017 +0300

    Add basic support for Oracle Linux
    
    Added Oracle Linux cpe names to dict and platform detection oval definitions.
    Added Oracle Linux specific runlevel support.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Jun 5 10:53:14 2017 -0400

    Merge pull request #746 from isimluk/bzip2-devel
    
    Suggest users to install bzip2-devel instead of bzip2

Author: Šimon Lukašík <isimluk@fedoraproject.org>
Date:   Mon Jun 5 14:09:25 2017 +0200

    Suggest users to install bzip2-devel instead of bzip2
    
    We use this ('devel support') and similar language as a pattern across
    the build pipeline.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon May 22 07:40:35 2017 -0400

    Merge pull request #745 from evgeni/issue-744
    
    pass session->checklist_id to oscap_htable_get in get_html_guide

Author: Evgeni Golov <egolov@redhat.com>
Date:   Fri May 19 17:34:59 2017 +0200

    pass session->checklist_id to oscap_htable_get in get_html_guide
    
    In b8defed we moved to using s->checklist_id instead of hard coding
    xccdf.xml. However, this change was forgotten in
    ds_sds_session_get_html_guide which leads to the following error when
    trying to get the HTML guide:
    
        Internal error: Could not acquire handle to xccdf.xml source.
    
    This change migrates ds_sds_session_get_html_guide to also use
    s->checklist_id and thus fixes the issue.
    
    Fixes: #744

Author: John Whipple <john@whipple.org>
Date:   Wed May 17 13:41:40 2017 -0400

    Keep the old versions of oval_variable iterator getting functions and deprecate them, meanwhile create new versions of that function and name them with a 2.

Author: John Whipple <john@whipple.org>
Date:   Tue Apr 11 14:53:47 2017 -0400

    Added accessors for member data of restriction, possible restriction, and possible value objects.

Author: John Whipple <john@whipple.org>
Date:   Tue Apr 11 13:47:45 2017 -0400

    Added iterators for oval_variable_possible_value, oval_variable_possible_restriction, and oval_variable_restriction

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Mon May 15 10:33:40 2017 +0200

    Merge pull request #740 from WesleyCeraso/maint-1.2
    
    Fixes #739

Author: Martin Preisler <martin@preisler.me>
Date:   Sat May 13 00:08:09 2017 -0400

    Merge pull request #733 from yuumasato/rpm-probes-init-fini-fixes
    
    Change RPM probes to return "not applicable" when run on non-RPM environment

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Fri May 12 20:47:17 2017 +0200

    Fixes #739
    
    If there were any result-rule in profile, its severity attribute would always be used, even if it was not defined.
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Fri May 12 20:46:05 2017 +0200

    Creates unit test for #739
    
    If there were any result-rule in profile, its severity attribute would always be used, even if it was not defined.
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Wesley Ceraso Prudencio <wcerasop@redhat.com>
Date:   Fri May 12 20:38:55 2017 +0200

    Fixes test_xccdf_refine_rule_refine.sh
    
    Due to the lack of set -e, the asserts were not properly treated
    With the set -e, no command could return anything different than 0, however, as it is expected to the oscap to return different than 0 I had to put the "|| true".
    
    Signed-off-by: Wesley Ceraso Prudencio <wcerasop@redhat.com>

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 12 20:33:42 2017 +0200

    Fix comment style

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri May 12 11:46:58 2017 +0200

    Merge pull request #737 from mpreisler/ansible_fix_do_not_destroy_newlines
    
    Do not remove consecutive newlines from ansible fixes when generating

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed May 10 15:38:03 2017 -0400

    Removed the extra whitespace from ansible playbooks in tests

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed May 10 11:00:36 2017 +0200

    Merge pull request #728 from mpreisler/better_wording_in_oval_details
    
    Easier language and more colors in OVAL details

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue May 9 16:42:02 2017 -0400

    Do not remove consecutive newlines from ansible fixes when generating
    
    Use thread-safe strchr instead of strtok that uses global state

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon May 8 12:33:41 2017 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon May 8 12:32:06 2017 -0400

    The author of sce-xccdf-extended-component.xsd is David Solin
    
    The file was donated to the OpenSCAP project but let's name the actual
    author.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon May 8 11:42:39 2017 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon May 8 11:42:10 2017 -0400

    Added explicit dual license copyright notices to SCE related XSDs

Author: Martin Preisler <martin@preisler.me>
Date:   Mon May 8 11:33:52 2017 -0400

    Merge pull request #731 from Hexadorsimal/expose_xccdf_benchmark_export_source
    
    Exposed xccdf_benchmark_export_source()

Author: Martin Preisler <martin@preisler.me>
Date:   Mon May 8 11:33:19 2017 -0400

    Merge pull request #732 from Hexadorsimal/expose_cpe_dict_model_add_item
    
    Expose cpe_dict_model_add_item()

Author: Martin Preisler <martin@preisler.me>
Date:   Sat May 6 20:29:13 2017 -0400

    Merge pull request #734 from Hexadorsimal/cpe_item_setters
    
    Added setters for cpe_item::name and cpe_item::deprecated_by

Author: John Whipple <john@whipple.org>
Date:   Thu May 4 16:43:14 2017 -0400

    Added setters for cpe_item::name and cpe_item::deprecated_by

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri May 5 14:35:55 2017 +0200

    Merge pull request #729 from jan-cerny/reduce_warnings
    
    Change the category of messages

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 13:38:12 2017 +0200

    Fix rpmverifypackage probe fini when init fails
    
    rpmverifypackage probe_init() can fail during chroot or because
    RPM config files were not found, return error in the first
    case and "not applicable" in the second.

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 13:30:42 2017 +0200

    Change rpmverifypackage probe_init() fails
    
    rpmverifypackage probe_init() can fail because chroot failed or
    because RPM config files were not found, return error in the first
    case and "not applicable" in the second.

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 13:27:02 2017 +0200

    Fix rpminfo probe fini when init fails
    
    When rpminfo probe_init() fails either the regex compilation failed
    or RPM config files were not found. The probe_fini() should handle each
    case differently.

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 13:23:04 2017 +0200

    Change rpminfo probe_init() fails
    
    rpminfo probe_init() can fail because regex compilation failed or
    because RPM config files were not found, return error in the first
    case and "not applicable" in the second.

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 12:49:04 2017 +0200

    Fix rpmverify probe fini when init fails
    
    When rpmverify probe_init() fails g_rpm->rpmts and g_rpm->mutex are
    not initialized.

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 12:48:00 2017 +0200

    Change rpmverify error when init fails
    
    When rpmverify probe_init() fails it is because RPM config files
    were not found, and we expect "not applicable" in this case.

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 12:42:26 2017 +0200

    Fix rpmverifyfile probe fini when init fails
    
    When rpmverifyfile probe_init() fails g_rpm->rpmts and g_rpm->mutex are
    not initialized

Author: Watson Sato <wsato@redhat.com>
Date:   Fri May 5 12:39:07 2017 +0200

    Change rpmverifyfile error when init fails
    
    When rpmverifyfile probe_init() fails it is because RPM config files
    were not found, and we expect "not applicable" in this case.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue May 2 13:42:10 2017 +0200

    Change the category of messages
    
    These messages are disturibing, moreover there is no way
    how a user can mitigate them.

Author: John Whipple <john@whipple.org>
Date:   Wed May 3 14:45:20 2017 -0400

    Changed cpe_dict_model_add_item() to be a publicly accessible function.

Author: John Whipple <john@whipple.org>
Date:   Wed Apr 12 11:53:09 2017 -0400

    Changed xccdf_find_target_htable to work with benchmarks too because benchmarks are definitely going through this code when they get renamed.

Author: John Whipple <john@whipple.org>
Date:   Wed Apr 19 12:57:30 2017 -0400

    Added a function to export a benchmark to a source object so I can put one into a datastream

Author: Jan Černý <jcerny@redhat.com>
Date:   Sat Apr 29 14:50:16 2017 +0200

    Merge pull request #727 from mpreisler/print_remediation_status
    
    Comments in generated remedition bash snippets

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Apr 28 15:04:36 2017 -0400

    Strip the progress reporting line when checking remediations

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Apr 28 14:44:24 2017 -0400

    Change the wording when an item is found but it fails the criteria in HTML report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Apr 28 14:26:16 2017 -0400

    Easier language and more colors in OVAL details

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Apr 28 11:07:21 2017 -0400

    Added a forgotten trailing newline for bash comments in generate fix

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Apr 28 10:09:35 2017 -0400

    Print remediation status of bash fix snippets to stderr

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Apr 28 10:06:25 2017 -0400

    Display progress before the rule ID in the fix snippet bash comments

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Apr 27 14:22:57 2017 -0400

    Merge pull request #721 from Hexadorsimal/maint-1.2
    
    Updates for Python 3 bindings

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Apr 27 12:41:15 2017 -0400

    Permit whitespace before comments when stripping them in fix tests

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Apr 26 15:15:14 2017 -0400

    Changed the format of the BEGIN fix comment
    
    That way it's easier to pick out where the fix snippets start in the
    final remediation role.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Apr 26 15:12:24 2017 -0400

    Added more template variants that also mean bash or sh

Author: John Whipple <john@whipple.org>
Date:   Wed Apr 26 10:26:25 2017 -0400

    Added some missing header files to the swig generator.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Apr 24 17:45:31 2017 -0400

    Only gather selected rules for remediation
    
    This fixes the rule count numbers.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Apr 24 17:42:30 2017 -0400

    Write a warning when a fix is missing

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Apr 24 17:39:16 2017 -0400

    Keep track of total rules to fix, show current rule being fixed in comment

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Apr 24 17:35:45 2017 -0400

    [refactoring] Gather list of rules to fix, then generate fixes

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Apr 24 17:20:37 2017 -0400

    Insert bash comments when generating remediations
    
    That way it's easier to see which code remediations which XCCDF rule

Author: John Whipple <john@whipple.org>
Date:   Wed Apr 12 15:21:13 2017 -0400

    moved the accessor and mutator for the filter member of an object content object to the public header file so they will be accessible from python.

Author: John Whipple <john@whipple.org>
Date:   Tue Apr 4 14:14:42 2017 -0400

    Benchmark Supported Schema Version
    
    Added a function to the benchmark to be able to get the supported
    version schema.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Apr 24 17:49:10 2017 +0200

    Merge pull request #726 from dahaic/s390x_support_sysctl_test_1.0
    
    Fixing sysctl test on s390 architecture

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Mon Apr 24 10:05:59 2017 +0200

    Fixing sysctl test on s390 architecture

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Apr 7 11:20:09 2017 -0400

    Merge pull request #718 from jan-cerny/issue713
    
    Issue #713: Copy stderr produced by oscap to stderr of oscap-docker

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Fri Apr 7 16:31:27 2017 +0200

    Merge pull request #719 from jan-cerny/referenced_var
    
    Change category of a message, emit warning only if necessary

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Apr 4 15:26:13 2017 +0200

    Change category of a message, emit warning only if necessary
    
    It is pretty common to have variables with no values, but
    the warnings flood the stderr after we have enabled them by default.
    Still, this will keep informing user if there was a problem.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Apr 4 13:19:01 2017 +0200

    Issue #713: Copy stderr produced by oscap to stderr of oscap-docker
    
    This will enable to see all the issues reported by oscap,
    eg. remote resources suggestion, and all the other warnings
    that are produced by the oscap tool.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Mon Apr 3 19:27:59 2017 +0200

    Merge pull request #717 from jan-cerny/improve_arf_ansible_test
    
    Improve test of Ansible fixes

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Apr 3 14:51:31 2017 +0200

    Improve test of Ansible fixes
    
    We shouldn't change the format of the output to ensure
    the fix generated by oscap is consumable by Ansible.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 30 14:34:27 2017 +0200

    Issue #714: Fix compiler warning
    
    Addressing:
    
    openscap-1.2.14/src/OVAL/probes/independent/system_info.c:640:7:
    warning: assignment from incompatible pointer type [enabled by default]
       item = os_name = architecture = hname = NULL;

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 21 13:18:16 2017 +0100

    Bump version after release
    
    Next release from the maint-1.2 branch will be 1.2.15.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 21 12:20:05 2017 +0100

    openscap-1.2.14

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 21 12:09:04 2017 +0100

    Bump soname from 8.11.0 to 8.12.0
    
    7 new symbols were added, no symbols were removed.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 21 08:55:32 2017 +0100

    Fix compiler warnings
    
    Addressing:
    sce_engine.c: In function ‘sce_check_result_export’:
    sce_engine.c:204:10: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      if (ret < strlen(v->std_out))
              ^
    sce_engine.c:205:3: warning: implicit declaration of function ‘dE’ [-Wimplicit-function-declaration]
       dE("Failed to write stdout result to %s.\n", target_file);
       ^~
    sce_engine.c:209:10: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
      if (ret < strlen(v->std_err))
              ^

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Mar 20 16:10:15 2017 -0400

    Merge pull request #708 from jan-cerny/rhbz1431186
    
    RHBZ #1431186: Fix crashing systemd probes

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Mar 20 13:48:17 2017 -0400

    Merge pull request #710 from jan-cerny/test_change
    
    Do not rely on number of lines on stderr

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 20 15:55:40 2017 +0100

    Do not rely on number of lines on stderr
    
    We fixed duplicate error messages (issue #707). But in this test,
    we assumed that there are 6 lines on stderr. Actually two of them
    were duplicated. We should not count number of lines on stderr
    because we may add a new warning somewhere in our code and it will
    break the test again. This commit stops testing stderr line count.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sun Mar 19 20:32:23 2017 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sun Mar 19 20:30:44 2017 -0400

    Changed URL in README.md to github. Fedorahosted has been retired.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Mar 17 12:17:49 2017 +0100

    Bump the date
    
    We apologize for not wishing you a happy new year this year.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Mar 17 11:04:23 2017 +0100

    RHBZ #1431186: Fix crashing systemd probes
    
    Systemd probes are crashing during scanning Docker
    containers. This probably happens because containers
    do not have systemd running inside them by default.
    Instead, we will report an error.

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed Mar 15 09:57:41 2017 +0100

    Merge pull request #706 from jan-cerny/issue_249
    
    Issue #249: Mention oscap-ssh, oscap-docker in User's manual

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 15 09:40:15 2017 +0100

    Issue #707: Fix duplicated error messages

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 15 08:00:06 2017 +0100

    Merge pull request #702 from rsprudencio/change_benchmark_selector_message
    
    Changed from Error message when selector id doesn't exist in Benchmar…

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Mar 14 13:57:24 2017 +0100

    Changed from Error message when selector id doesn't exist in Benchmark to a Warning message

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 14 17:10:12 2017 +0100

    Merge pull request #704 from rsprudencio/fix_coverity_fwrite_warning
    
    Fixed coverity warning: Checking fwrite return and sending a debug er…

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 14 16:58:52 2017 +0100

    Issue #249: Mention oscap-ssh, oscap-docker in User's manual

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 14 15:49:02 2017 +0100

    Merge pull request #705 from rsprudencio/add_remediate_verbose_opt
    
    Added verbose support for `oscap xccdf remediate` module

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Tue Mar 14 15:44:51 2017 +0100

    Merge pull request #703 from jan-cerny/examples_enhancement
    
    Issue #513: Provide better examples in user manual

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Mar 14 14:46:51 2017 +0100

    Added verbose support for `oscap xccdf remediate` module

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Mar 14 14:24:39 2017 +0100

    Fixed coverity warning: Checking fwrite return and sending a debug error if it fails to write whole buffer

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 14 14:04:52 2017 +0100

    Issue #513: Provide newer examples in user manual
    
    In our examples, we referenced to old-style guides and reports
    as generated by OpenSCAP 1.0.x. Instead we will show our new
    nice reports and guides.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Mar 14 13:41:59 2017 +0100

    Merge pull request #701 from jan-cerny/rhbz_1420038
    
    RHBZ #1420038: Identify Red Hat Enterprise Virtualization Host as RHEL7

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 13 15:43:50 2017 +0100

    RHBZ #1420038: Identify Red Hat Enterprise Virtualization Host as RHEL7
    
    RHEVH is based on RHEL7, therefore RHEL7 profiles should be applicable
    on this system. This commit enables evaluating RHEL7 profiles on RHEVH.
    However the underlying RHEL version cannot be determined from
    redhat-release RPM package version, because RHEVH obsoletes
    the redhat-release RPM package. Instead we should check for presence
    of redhat-release-virtualization-host and then we will parse the
    RHEL version from /etc/redhat-release file. Note that
    redhat-release-virtualization-host RPM version represents RHEVH
    version (currently 4.0.6), not RHEL version, so it's not possible
    to rely only on rpminfo tests.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 13 15:40:18 2017 +0100

    Fix invalid CPE OVAL

Author: Jason Newton <nevion@gmail.com>
Date:   Tue Feb 28 11:19:48 2017 -0500

    add opensuse 42.2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Mar 8 14:51:56 2017 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Mar 8 13:50:25 2017 -0500

    Merge pull request #699 from jan-cerny/rhbz1414303
    
    RHBZ #1414303, #1414312: Fix a segfault in rpm probes

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 8 13:54:40 2017 +0100

    Check if initialization was successful

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Mar 7 08:24:21 2017 -0500

    Merge pull request #693 from jan-cerny/arf_info
    
    Issue #664: Show more information about ARF files in "oscap info"

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 7 11:59:54 2017 +0100

    RHBZ #1414303, #1414312: Fix a segfault in rpm probes
    
    Function probe_init() can possibly fail and return NULL.
    We should check if initialization has been done properly
    before we start the function.
    Now we don't check the return value, which can possibly lead
    to synchronization errors between threads and causes
    a segmentation fault in probe_fini().

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 7 09:51:27 2017 +0100

    Reflect "oscap info" improvements in test

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Mar 7 09:48:40 2017 +0100

    Handle default profiles and no platform CPE in "oscap info arf.xml"

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Mar 6 17:16:28 2017 -0500

    Merge pull request #698 from jan-cerny/f26_f27_cpe
    
    Issue #692: Add Fedora 26 and Fedora 27 CPEs

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Mar 6 15:11:06 2017 +0100

    Issue #692: Add Fedora 26 and Fedora 27 CPEs
    
    Fedora 26 has been branched.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Mar 2 12:25:51 2017 +0100

    Issue #664: Show more information about ARF files in "oscap info"
    
    This commit will display additional information about an ARF file,
    such as evaluation date, source benchmark and profile, platform CPEs,
    result ID. It will show detailed information about XCCDF results
    as well.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Mon Mar 6 10:41:27 2017 +0100

    Merge pull request #697 from mpreisler/anaconda_fix_html_report_guide
    
    Show Anaconda snippets labeled properly in HTML report & guide

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Mar 3 14:31:52 2017 -0500

    Show Anaconda snippets labeled properly in HTML report & guide

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Mar 3 14:40:12 2017 +0100

    Merge pull request #695 from dahaic/generate_fix_cpe_test_fix
    
    Updated test coverage regarding CPE in generate fix scenario.

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Fri Mar 3 01:53:50 2017 +0100

    Updated test coverage regarding CPE in generate fix scenario.
    
    Test covers generation from profile or from results, when CPE
    is defined. Expected outcome is that CPE is ignored for profile
    generate fix.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Mar 1 10:01:02 2017 -0500

    Merge pull request #690 from jan-cerny/test_xccdf_transform
    
    Introduce a test for XCCDF 1.1 to XCCDF 1.2 transformation

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Mar 1 14:47:25 2017 +0100

    Improve XCCDF transformation test
    
    This commit ensures that xsltproc command is avaiable, otherwise
    the test is skipped. The commit also updates the XPath expression.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Feb 28 12:52:53 2017 -0500

    Merge pull request #689 from mpreisler/licensing_contribute_adoc
    
    Mention LGPLv2 license in contribute.adoc

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Feb 27 13:24:51 2017 -0500

    Mention LGPLv2 license in contribute.adoc

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Tue Feb 28 12:00:20 2017 +0100

    Merge pull request #688 from jan-cerny/issue_681
    
    Issue #681: Check for return value of fcntl

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Feb 28 10:00:57 2017 +0100

    Introduce a test for XCCDF 1.1 to XCCDF 1.2 transformation
    
    We ship an XSLT template that allows us to convert older
    XCCDF files in XCCDF 1.1 to XCCDF 1.2. The template can be found
    in xsl/xccdf_1.1_to_1.2.xsl. However we don't test the transformation.
    Since the transforamtion is mentioned in user manual, we should
    have a test that ensures it is working. This commit introduces
    a simple test based on XCCDF content from NIST test suite.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Feb 27 15:45:15 2017 +0100

    Issue #681: Check for return value of fcntl
    
    The fcntl function manipulates file descriptors. It may fail.
    On error, it returns -1. We should check for the return value,
    and if it fails, cancel the operation and display an error
    message.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Feb 27 08:27:45 2017 +0100

    Merge pull request #687 from mpreisler/sds_id_mangle_at_symbol
    
    Mangle the '@' symbol when adding components to datastream

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Feb 24 15:07:24 2017 -0500

    Merge pull request #686 from jan-cerny/missing_ansible_header
    
    Fix missing header in result-oriented Ansible remediations

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Feb 24 12:53:54 2017 -0500

    Mangle the '@' symbol when adding components to datastream

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Feb 24 14:20:40 2017 +0100

    Fix missing header in result-oriented Ansible remediations
    
    When we generate Ansible playbook from an entire profile using
    oscap xccdf generate fix --profile <profile> <scap_file>
    we include a header at the beginning of the generated playbook.
    However, when we generate fixes only for failed rules based on
    OpenSCAP scan result (so-called result-oriented fixes), we don't
    include any header. This commit will cause including a header
    in result-oriented fixes as well.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Feb 20 11:08:40 2017 -0500

    Merge pull request #684 from jan-cerny/remove_warning
    
    Recategorize some warning messages

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Feb 20 15:18:49 2017 +0100

    Change category of warning messages
    
    This commit changes the category of 2 messages from warning to DEVEL
    because they can apear very often for valid use-cases, eg.
    Evaluation of an OVAL definition checking if a particular file
    doesn't exist shouldn't emit a warning that "lstat" has failed.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Feb 20 15:13:20 2017 +0100

    Change category of a message and improve it
    
    This message has more an informational character, OpenSCAP adds
    the missing carret automatically, so it doesn't lead to any
    dangerous situation. This commit changes the category to INFO.
    Also it adds the string in question into the message
    to make the message more useful for OVAL content development.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Feb 20 09:43:38 2017 +0100

    Merge pull request #630 from mpreisler/warning_default_verbose_level
    
    Make WARNING the default verbosity level

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Thu Feb 16 23:29:20 2017 +0100

    Merge pull request #645 from mpreisler/absolute_oval_path
    
    Support absolute oval path - both simple and file:// prefixed

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Feb 16 15:33:47 2017 -0500

    Skip over the file:// prefix when adding dependencies into SDS

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Feb 16 14:25:12 2017 -0500

    Adapted the regex to detect at least one space instead of exactly 6 spaces

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Feb 14 19:12:57 2017 -0500

    Fix SCE stderr stalling (#680)
    
    * Implementation of split stdout and stderr reading in SCE
    
    Fix to SCE stderr issue, read() was blocking and no more input was provided, that was leading to a deadlock.
    
    * Test for SCE stderr stream fill-up
    
    This test ensures that even when lots of data is pushed through
    stdout or stderr streams in SCE, oscap will handle it.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Feb 10 13:47:17 2017 -0500

    Filter out expected warnings in test_external_variable.sh

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Feb 10 11:01:45 2017 +0100

    Merge pull request #677 from mpreisler/oval_to_xccdf_xsl_improvements
    
    OVAL to XCCDF xsl improvements

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Feb 9 13:54:53 2017 -0500

    Filter out the expected warning in test_remediation_subs_unresolved

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Feb 9 11:30:24 2017 -0500

    Minor indentation fix and remove unused href value in OVAL to XCCDF XSL

Author: Šimon Lukašík <slukasik@redhat.com>
Date:   Thu Feb 9 11:29:50 2017 -0500

    Improved the OVAL to XCCDF XSL - support RHSA references and severity

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Feb 9 10:33:14 2017 +0100

    Merge pull request #674 from mpreisler/oval_to_xccdf_xsl
    
    OVAL to XCCDF xsl

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 8 16:19:26 2017 -0500

    Use XCCDF 1.2 valid IDs when generating dummy XCCDF for OVAL

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 8 15:04:17 2017 -0500

    Do not output errors if check engine plugin auto-loading fails
    
    If SCE is not installed it will fail in an expected way and it makes no
    sense to clutter the error log with it. Explicit plugin loading via the
    API will still fail with errors.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 14:51:34 2017 -0500

    Filter out the expected error in sql57 probe test

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 14:00:54 2017 -0500

    Filter expected permission errors from stderr in test_sysctl_probe_all.sh

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 13:24:47 2017 -0500

    Changed a warning about parsing without benchmark reference to info
    
    It's not a serious warning and in many use-cases is expected.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sun Jan 29 18:57:48 2017 -0500

    Changed expected number of lines in stderr in test_object_component_type.sh

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 4 16:41:31 2017 -0500

    Make WARNING the default verbosity level

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Feb 8 15:29:16 2017 +0100

    Merge pull request #673 from mpreisler/thin_results_oval_steps
    
    Thin results OVAL steps in user manual

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Feb 7 13:59:00 2017 -0500

    Mention --without-syschar before it's used in manual.adoc

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Feb 7 13:28:01 2017 -0500

    Generate XCCDF 1.2 with oval-to-xccdf.xsl

Author: Šimon Lukašík <slukasik@redhat.com>
Date:   Tue Feb 7 13:25:51 2017 -0500

    Added a XSL transformation that generates dummy XCCDF for OVAL files
    
    That way you can evaluate OVAL files even with integrations that only
    support XCCDF or SDS evaluation.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Feb 6 16:14:44 2017 -0500

    Provide steps how to scan using OVAL directives with plan OVAL files

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Feb 6 16:13:44 2017 -0500

    Provide an example of OVAL directives file for thin results in user manual

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Mon Feb 6 15:09:15 2017 +0100

    Merge pull request #671 from mpreisler/html_guide_invalid_profile
    
    Terminate HTML guide generation if the profile ID doesn't match any p…

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Feb 4 18:08:34 2017 -0500

    Terminate HTML guide generation if the profile ID doesn't match any profile

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Feb 3 14:34:47 2017 +0100

    Fix absolute OVAL path

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 16:33:07 2017 -0500

    A very minor gramar fix in manual.adoc

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Feb 1 14:24:23 2017 -0500

    Merge pull request #670 from jan-cerny/manual_mention_cpe_ds
    
    Improve user manual

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 13:31:55 2017 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 13:30:48 2017 -0500

    xmlNodeDump dumping 0 characters is not worthy of a warning
    
    Added a separate message in case xmlNodeDump fails.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Feb 1 19:21:42 2017 +0100

    Improve user manual
    
    This commit covers using DataStreams and CPEs in section
    "Evaluating XCCDF rules with multiple checks" of the OpenSCAP
    user manual.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Feb 1 12:31:21 2017 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed Feb 1 17:42:05 2017 +0100

    Merge pull request #659 from jan-cerny/generate_fix
    
    Add ARF support in "oscap xccdf generate fix"

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Feb 1 11:47:45 2017 +0100

    Improve the test for "oscap xccdf generate fix"
    
    The test will now check for negative cases and also it will
    check that ansible remediations are different than bash remediations.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Feb 1 10:25:20 2017 +0100

    Fix failing 'make distcheck'
    
    Missing $srcdir.

Author: Zbyněk Moravec <moraveczbynek@gmail.com>
Date:   Tue Jan 31 14:36:36 2017 +0100

    Merge pull request #669 from mpreisler/benchmark_ref_tailoring_extension
    
    The <benchmark> ref can also appear in XCCDF 1.1 tailoring extension

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sun Jan 29 19:18:32 2017 -0500

    The <benchmark> ref can also appear in XCCDF 1.1 tailoring extension

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Jan 26 14:23:57 2017 +0100

    Add a simple test for ARF support in "oscap xccdf generate fix"
    
    This tests tests generation of both profile-oriented and results-oriented
    remediation scripts.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Jan 26 09:13:11 2017 +0100

    Add a comment to visually separate tests cases

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Wed Jan 25 15:22:40 2017 +0100

    Merge pull request #668 from jan-cerny/manual_r1100
    
    Manual: Describe evaluating XCCDF rules with multiple checks

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Wed Jan 25 15:08:58 2017 +0100

    More rephrase, removal of duplicate example

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Wed Jan 25 14:37:35 2017 +0100

    Markup doesn't like starting a line with apostrophes

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed Jan 25 14:15:06 2017 +0100

    Merge pull request #666 from mpreisler/manual_results_arf
    
    User manual: Mention --results-arf in the XCCDF/SDS evaluation section

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Wed Jan 25 13:01:10 2017 +0100

    I have rephrased it a bit, highlighted code snippets, and added example where to put multi-check

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Wed Jan 25 12:42:05 2017 +0100

    Capitalization of DataStream, typo in Result DS

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Wed Jan 25 12:36:07 2017 +0100

    DataStream specific parameters are not required

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Jan 25 12:17:59 2017 +0100

    Merge pull request #665 from mpreisler/manual_more_detailed_idents
    
    Manual more detailed idents

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Jan 25 12:09:29 2017 +0100

    Merge pull request #662 from mpreisler/user_manual_sds_split
    
    manual: Mention how to split source datastreams and how to view OVAL …

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Jan 25 12:02:13 2017 +0100

    Capitalized *DataStream* in Manual section 2.5.1

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 25 12:07:33 2017 +0100

    Remove mention of group-by CCE ID
    
    HTML report cannot group results by CCE ID.

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 25 11:49:03 2017 +0100

    Clarify how to search for identiiers and map CCE to NIST SP 800-53
    
    Make it more clear how to searh for identifiers, and also,
    make it more clear how to map CCE IDs to NIST SP 800-53 IDs.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Wed Jan 25 10:46:38 2017 +0100

    Merge pull request #667 from mpreisler/manual_cve_idents
    
    Manual: More about vulnerability assessment

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Jan 25 09:01:16 2017 +0100

    Manual: Describe evaluating XCCDF rules with multiple checks

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Wed Jan 25 00:34:58 2017 +0100

    SDS-based  scanning deparate section, ARF made more prominent, stylistics

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Tue Jan 24 23:13:52 2017 +0100

    OVAL report links RH database, not NVD. Rephrases. Fix link to data/oval page.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Jan 24 18:15:07 2017 +0100

    Merge pull request #663 from mpreisler/user_manual_more_oscap_info_details
    
    User manual: describe oscap info in more detail

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Jan 24 17:37:10 2017 +0100

    Rephrased Manual so it reflects that it's possible to manually
    inspect source datastream and it's not required to split them.

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Tue Jan 24 16:33:10 2017 +0100

    Updated examples, and removed need for sds-split. Added Checklists description.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Jan 24 14:55:43 2017 +0100

    Merge pull request #661 from mpreisler/user_manual_external_resources
    
    manual: Mentioned fetch-remote-resources in more detail in Advanced o…

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Tue Jan 24 14:55:26 2017 +0100

    Merge pull request #660 from mpreisler/user_manual_security_patches_rhel7
    
    Describe how to scan for security patches for RHEL7 in the user manual

Author: Watson Sato <wsato@redhat.com>
Date:   Mon Jan 23 16:29:49 2017 +0100

    Fix typo

Author: Watson Sato <wsato@redhat.com>
Date:   Mon Jan 23 15:16:10 2017 +0100

    Use full path reference to SSG in manual

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 20:39:40 2017 -0500

    User manual: Use https where possible in vulnerability assessment

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 20:38:35 2017 -0500

    User manual: More info about vulnerability assessment

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 20:14:35 2017 -0500

    User manual: Mention --results-arf in the XCCDF/SDS evaluation section

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 20:08:05 2017 -0500

    User manual: How to map identifier to a different identifier in HTML report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 20:03:55 2017 -0500

    User manual: Look-up rules by their identifier or reference

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 19:52:28 2017 -0500

    User manual: Mention group-by in identifiers

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 19:48:00 2017 -0500

    Added an example where the idents are located in the ARF

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 19:47:45 2017 -0500

    User manual: We will also show CPE idents if they are in the content

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 19:32:43 2017 -0500

    User manual: Getting more dates from ARF and XCCDF test result files

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 19:13:32 2017 -0500

    User manual: Slightly changed the oscap info header
    
    The previous version wasn't proper English.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 19:07:37 2017 -0500

    User manual: describe oscap info in more detail

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 18:27:58 2017 -0500

    manual: Mention how to split source datastreams and how to view OVAL referenced

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 18:08:46 2017 -0500

    manual: Mentioned fetch-remote-resources in more detail in Advanced oscap usage

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 17:58:55 2017 -0500

    user manual: SSG has guidances for RHEL6 and 7

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Sat Jan 21 17:56:08 2017 -0500

    Describe how to scan for security patches for RHEL7 in the user manual

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 15:20:38 2017 +0100

    Do not use results when generating profile oriented fixes
    
    Also avoids large memory leaks.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 14:27:26 2017 +0100

    Skip loading xccdf:Benchmark from isolated xccdf:TestResults
    
    Do not attempt to build the benchmark from test results if
    the give source does not contain any benchmark, but only
    scan results. It is useful for fix generating from ARFs.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 13:30:11 2017 +0100

    Add support for generating remediation fixes from ARF
    
    This feature will allow to generate a remediation script
    from ARF result files.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Dec 7 17:12:04 2016 +0100

    Add xccdf_session_new_from_source
    
    This function creates XCCDF session from loaded sources
    instead of a file.

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 13:29:12 2017 +0100

    Add xccdf_session_add_report_from_source

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 13:27:37 2017 +0100

    Plug a memory leak

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 13:26:30 2017 +0100

    Add oscap_source_clone

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Jan 20 13:25:36 2017 +0100

    Add oscap_source_get_filepath

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Jan 18 12:51:42 2017 -0500

    Merge pull request #657 from jan-cerny/issue_655
    
    Issue #655: Capitalize first letters in labels in HTML guide

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Jan 18 15:41:18 2017 +0100

    Issue #655: Capitalize first letters in labels in HTML guide
    
    Just a cosmetic change. We were incosistent here.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Wed Jan 18 10:48:18 2017 +0100

    Merge pull request #654 from jan-cerny/issue_634
    
    Issue #634: Coverity: Check return value of fgetc

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jan 17 16:55:49 2017 +0100

    Merge pull request #649 from mpreisler/show_severity_in_html_guide
    
    Show severity in HTML guide

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jan 17 14:35:23 2017 +0100

    Issue #634: Coverity: Check return value of fgetc
    
    Adressing:
    Calling "fgetc(osrelease)" without checking return value. This library
    function may fail and return an error code.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jan 17 13:37:23 2017 +0100

    Merge pull request #653 from mpreisler/show_probe_family_in_oscap_v
    
    Show the probe family in `oscap --v`

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Jan 17 12:56:07 2017 +0100

    Merge pull request #652 from mpreisler/add_missing_oval_xsd_imports
    
    Add missing oval xsd imports

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 16 11:31:56 2017 -0500

    Added a header to the OVAL probe list in oscap --version

Author: Watson Sato <wsato@redhat.com>
Date:   Mon Jan 16 11:27:08 2017 -0500

    Wrap severity in <p> to make the spacing consistent in HTML guide

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Mon Jan 16 12:38:43 2017 +0100

    Merge pull request #651 from mpreisler/scroll_back_up_in_html_report
    
    Added a button into rule details that allows you to scroll back up quickly

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 13 16:42:41 2017 -0500

    Minor DRY refactoring in oval_probe_meta_list

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 13 16:25:39 2017 -0500

    Show the probe family in `oscap --v`

Author: Gary Gapinski <gary@garygapinski.com>
Date:   Fri Jan 13 15:33:41 2017 -0500

    Added missing OVAL 5.11 definition namespace imports

Author: Gary Gapinski <gary@garygapinski.com>
Date:   Fri Jan 13 15:30:35 2017 -0500

    Added missing OVAL 5.11.1 definition namespace imports

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 13 14:48:45 2017 -0500

    Added a button into rule details that allows you to scroll back up quickly
    
    Avoids tedious scrolling back up to perhaps hide the rule result
    details.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jan 12 16:54:38 2017 -0500

    Show severity in HTML guide for each XCCDF Rule

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jan 12 16:42:44 2017 -0500

    @severity is optional in rule-result, do not assume it's there in HTML report
    
    Just report "unknown" if @severity can't be found, this is what the
    XCCDF XSD mandates.

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Thu Jan 12 22:17:20 2017 +0100

    Merge pull request #638 from mpreisler/prepend_reference_name_in_html_report
    
    Show ellipsized reference name when grouping by in HTML report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 17:07:06 2017 -0500

    Bumped the ellipsize char limit from 12 to 24

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 6 16:50:15 2017 -0500

    Show ellipsized reference name when grouping by in HTML report

Author: Marek Haicman <mhaicman@redhat.com>
Date:   Thu Jan 12 13:28:17 2017 -0500

    Added a test for XCCDF evaluation referencing OVAL by abs path

Author: Shawn Wells <shawn@redhat.com>
Date:   Thu Jan 12 12:15:06 2017 -0500

    Merge pull request #637 from mpreisler/disa_ids_in_html_report
    
    Fix duplication of DISA IDs in HTML report

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Thu Jan 12 17:31:22 2017 +0100

    Merge pull request #646 from mpreisler/oscap_vm_mount_error_checking
    
    Check for errors when mounting image or guestfs domain in oscap-vm

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Jan 12 16:57:00 2017 +0100

    Merge pull request #647 from mpreisler/oscap_xccdf_eval_colors
    
    Don't use white colors in oscap xccdf eval output

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Jan 12 16:35:44 2017 +0100

    Merge pull request #643 from mpreisler/multiple_test_environment
    
    Don't define TESTS_ENVIRONMENT multiple times in tests/API/CPE/dict

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Jan 12 16:20:34 2017 +0100

    Merge pull request #648 from mpreisler/pre_wrap_in_html_guide_report
    
    Word-wrap in pre elements in HTML guide and report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 17:14:33 2017 -0500

    Word-wrap in pre elements in HTML guide and report
    
    This prevents the pre elements increasing width of the other HTML
    elements because of extremely long lines suggested for configuration
    files.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 16:49:33 2017 -0500

    Fixed a memory leak
    
    Can't strdup over an already allocated string, would leak MAX_PATH
    bytes.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 16:26:15 2017 -0500

    Don't use white colors in oscap xccdf eval output
    
    A lot of users use white background terminals and white on white is not
    visible. Instead let's use default color and bold.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 16:05:42 2017 -0500

    Check for errors when mounting image or guestfs domain in oscap-vm
    
    Otherwise we would still run oscap on an empty dir and potentially
    provide misleading results.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 15:51:34 2017 -0500

    Support the file:// prefix when referencing OVAL files in XCCDF files

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 15:51:03 2017 -0500

    Support simple absolute paths when referencing OVAL

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 11 12:41:05 2017 -0500

    Don't define TESTS_ENVIRONMENT multiple times in tests/API/CPE/dict

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Jan 10 16:24:49 2017 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Chris Lundquist <rampantdurandal@gmail.com>
Date:   Tue Jan 10 12:21:41 2017 -0800

    Fix wget install instructions
    
    Looks like we have a dangling `.tar.gz` and we probably want the directory we just extracted.
    ```
    root@packer:~# tar -xzpf openscap-${version}.tar.gz
    root@packer:~# cd openscap-${version}.tar.gz
    bash: cd: openscap-1.2.13.tar.gz: Not a directory
    root@packer:~# ls
    openscap-1.2.13  openscap-1.2.13.tar.gz
    ```

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Mon Jan 9 22:51:13 2017 +0100

    Merge pull request #641 from mpreisler/oscap_full_validation_in_tests
    
    Make sure OSCAP_FULL_VALIDATION=1 is in TESTS_ENVIRONMENT of all the test Makefile.am files

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 16:07:39 2017 -0500

    Removed an apostrophe in nist_test.sh to workaround syntax highlighting bugs in vim

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Jan 9 15:49:59 2017 -0500

    Merge pull request #640 from rsprudencio/system_info_leak_fix
    
    Fixed memleak in system_info probe.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 14:22:36 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/oscap_string

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 14:21:53 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/bindings

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 14:16:18 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/nist, expect in 2 cases
    
    Blacklisted R1100 and R1200 who don't pass with full validation,
    explained the reasons in comments.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:56:47 2017 -0500

    Use OSCAP_FULL_VALIDATION in tests/sce

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:55:28 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/probes/xinetd

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:55:09 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/probes/sysinfo

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:52:41 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/DS/ds_sds_index

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:49:27 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/probes
    
    Probably not used but why not.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:46:57 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/crypt
    
    Probably not even used here but why not.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:46:26 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/XCCDF and subdirs

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:38:06 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/SEAP

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:36:20 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/OVAL and subdirs

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:33:32 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CVSS

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:33:14 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CVE

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:32:49 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CPE/name

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:30:00 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CPE/lang

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:29:37 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CPE/inbuilt

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:29:12 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CPE/dict

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Jan 9 13:07:12 2017 -0500

    Use OSCAP_FULL_VALIDATION=1 in tests/API/CCE

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Jan 9 11:43:39 2017 +0100

    Fixed memleak in system_info probe.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 6 16:43:46 2017 -0500

    Rebuilt xccdf-resources.xsl because of changes in openscap.js

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 6 16:31:22 2017 -0500

    Added a divider in the group-by combobox in HTML report
    
    That way the XCCDF attributes are divided from the references.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 6 16:24:13 2017 -0500

    Sort the group by combobox by reference href
    
    This way the order won't depend on the order of xccdf Rules in the
    content.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 6 16:23:52 2017 -0500

    Treat the 3 DISA reference systems separately in HTML report
    
    They are separate ID systems.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Jan 6 12:10:32 2017 -0500

    Minor indentation fix in xccdf_policy.c

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Jan 6 12:09:44 2017 -0500

    Merge pull request #624 from GautamSatish/update_score_remediation
    
    Update compliance score after remediation.

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Jan 6 12:03:52 2017 -0500

    Merge pull request #597 from rsprudencio/maint-1.2-genfix-result-oriented
    
    Added result-oriented 'generate fix' whenever an user pass a

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jan 5 16:01:24 2017 -0500

    Bump version after release
    
    Next release from the maint-1.2 branch will be 1.2.14.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jan 5 14:51:54 2017 -0500

    openscap-1.2.13

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jan 5 14:03:40 2017 -0500

    Bump soname from 8.10.0 to 8.11.0

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Jan 5 13:37:33 2017 -0500

    Merge pull request #629 from mpreisler/warn_about_xccdf11_arf
    
    Warn when injecting XCCDF 1.1 results into an ARF

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Jan 5 12:57:29 2017 -0500

    Merge pull request #631 from rsprudencio/benchmark_id_test
    
    Added tests for 'oscap xccdf generate guide' with --benchmark-id option.

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Jan 5 12:54:19 2017 -0500

    Merge pull request #627 from rsprudencio/ds_session_error_to_warning
    
    Changed the previous error message to a debug warning in

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Jan 5 12:53:28 2017 -0500

    Hint at the xccdf 1.1 to 1.2 XSL transformation in the warning

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Thu Jan 5 10:27:49 2017 +0100

    Added tests for 'oscap xccdf generate guide' with --benchmark-id option.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Jan 4 17:58:46 2017 +0100

    Changed the previous error message to a debug warning in
    ds_sds_session_register_component_source() when the component
    has already been added before.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Jan 4 15:39:55 2017 -0500

    Warn when injecting XCCDF 1.1 results into an ARF
    
    OpenSCAP can do it but the result won't be a valid ARF, only XCCDF 1.2
    is allowed in ARFs.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Jan 4 13:48:47 2017 -0500

    Merge pull request #626 from yuumasato/maint-1.2-test-without-syschar-thin-results
    
    Test results directive --without-syschar and --thin-results

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Jan 4 13:07:50 2017 -0500

    Merge pull request #628 from yuumasato/maint-1.2-remove-runscript-test_nist
    
    Remove run_script from test_nist

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 4 18:15:18 2017 +0100

    Remove run_script from test_nist

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 4 17:56:57 2017 +0100

    Remove run_script from test results directive
    
    With test_common.sh sourced there is no need to use the run script.

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 4 12:11:40 2017 +0100

    Increase parameterization of test results directive
    
    Makes it easy to switch the datastream used in this test

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 4 10:55:51 2017 +0100

    Use result variable when grepping for content directive

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Jan 4 10:53:44 2017 +0100

    Fix handling of exit status of test results directive

Author: Watson Sato <wsato@redhat.com>
Date:   Tue Jan 3 17:37:12 2017 +0100

    Add missed test datastream to Makefile.am

Author: Watson Sato <wsato@redhat.com>
Date:   Tue Jan 3 16:24:46 2017 +0100

    Test results directive --without-syschar and --thin-results

Author: Watson Sato <wsato@redhat.com>
Date:   Tue Jan 3 16:15:11 2017 +0100

    Use simple data stream to test ARF results directives
    
    Copied data stream from nist/ind_family_test to test ARF results
    directives.

Author: Gautam Satish <gautams@hpe.com>
Date:   Mon Jan 2 20:01:41 2017 -0800

    Renamed xccdf_policy_update_score to xccdf_policy_recalculate_score

Author: Marek Haičman <dahaic@users.noreply.github.com>
Date:   Mon Jan 2 18:52:57 2017 +0100

    Implemented test to cover split of stdout and stderr streams in SCE. (#625)
    
    * Implemented test to cover split of stdout and stderr streams in SCE.
    
    * fixed indentation indents
    
    * fixed typo in makefile

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Dec 21 17:43:04 2016 +0100

    Improved 'oscap xccdf generate fix' documentation in man page
    so it reflexes both possibilities for current implementation
    of generate fix.

Author: Gautam Satish <gautams@hpe.com>
Date:   Sun Jan 1 20:43:49 2017 -0800

    Update compliance score after remediation.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 23 12:41:40 2016 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Dec 23 17:56:18 2016 +0100

    Merge pull request #619 from mpreisler/treat_pcre_regex_h_as_internal_includes
    
    Stop checking pcre.h AND regex.h in all the probes

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 22 14:45:40 2016 -0500

    Stop checking pcre.h AND regex.h in all the probes
    
    We check for PCRE OR POSIX regex.h globally, makes no sense to check again
    for all the probes.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Dec 23 10:40:55 2016 +0100

    Merge pull request #618 from mpreisler/system_info_always_enabled
    
    We always build the system_info probe in OpenSCAP, mark it as such

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 22 14:37:55 2016 -0500

    We always build the system_info probe in OpenSCAP, mark it as such
    
    Previously we were testing for headers and disabling the tests if they
    were missing. Not disabling the probe. That makes no sense, let's always
    build and always test system_info.

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Dec 22 13:11:51 2016 -0500

    Merge pull request #615 from mpreisler/register_cpe_dics_when_splitting
    
    Register CPE dictionaries when doing ds sds-split

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 22 11:54:53 2016 -0500

    Prevent stderr output in oscap-ds.c sds-split
    
    Using the new ds_sds_session_can_register_component we can prevent
    writing an error message to stderr in case the datastream doesn't have
    any CPE dictionaries.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 22 11:33:52 2016 -0500

    Introduced ds_sds_session_can_register_component to public API

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Thu Dec 22 17:14:41 2016 +0100

    Merge pull request #616 from mpreisler/segfault_invalid_affected_family
    
    Use oscap_enum_to_string instead of just index lookup for OVAL affected family conversion

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 21 12:59:12 2016 -0500

    Use oscap_enum_to_string instead of just index lookup
    
    This fixes a segfault when trying to convert OVAL_AFCFML_UNKNOWN to a
    string.
    
    Also fixed a typo in the ODAFAMILY enum string mapping.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Wed Dec 21 18:18:55 2016 +0100

    Merge pull request #613 from rsprudencio/xccdf-thin-results
    
    Added --thin option to the XCCDF module, this enables thin results in OVAL and ARF files.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 21 12:05:40 2016 -0500

    Register CPE dictionaries when doing ds sds-split
    
    These dictionaries are auto-registered when doing xccdf eval so it only
    makes sense we split them all out when splitting datastreams.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Dec 19 13:56:18 2016 +0100

    Whenever --thin-results is enabled, option --without-syschar is
    enable automatically.
    
    Added --thin-results to XCCDF section in man page and help.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Dec 20 16:28:13 2016 +0100

    Merge pull request #604 from jan-cerny/nist_tests
    
    Add first part of the NIST validation test suite to our upstream test suite

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Dec 16 15:55:30 2016 -0500

    Written docs for xccdf_session_set_thin_results

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 15 15:36:21 2016 -0500

    Removed oval_directives_model_set_defdirs
    
    It's unnecessary and I want to avoid adding a function to the public
    API. Plus I think it's leaking.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 15 15:23:12 2016 -0500

    Use the existing oval_result_directive inside oval_directives
    
    Instead of creating a new oval_result_directives and then leaking the old one.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Dec 15 15:12:44 2016 -0500

    Removed extra code that is already done in oval_result_directives_new

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 14 17:12:15 2016 -0500

    Fixed a misleading comment

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 14 17:00:37 2016 -0500

    Thin results support in cpe_session

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 14 15:01:28 2016 -0500

    Added a missing oscap_debug.h include to oscap-ds.c
    
    Resolves:
    ../../utils/oscap-ds.c: In function ‘app_ds_rds_validate’:
    ../../utils/oscap-ds.c:521: warning: implicit declaration of function ‘oscap_set_verbose’

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 14 14:48:32 2016 -0500

    Fixed up types, undefined behavior, comments, removed unnecessary function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 14 14:09:12 2016 -0500

    Use thin_results oscap_action member instead of a hack
    
    If we used hacks like this nobody could read the code...

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Dec 13 18:48:41 2016 +0100

    Added --thin-results option to XCCDF module, which allows
    OVAL/ARF Thin Results to be generated, Full Results is still
    the default option.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 14 11:39:22 2016 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Dec 8 09:20:40 2016 -0500

    Merge pull request #610 from rsprudencio/xccdf-without-syschar
    
    Added support for --without-syschar in XCCDF modules, now it is

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Thu Dec 8 10:29:12 2016 +0100

    Fixed misleading help/man about XCCDF --without-syschar
    which affects only OVAl/ARF result files.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Dec 7 14:39:07 2016 -0500

    Fixed the paths to clean the ARF files in tests/nist

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed Dec 7 16:58:20 2016 +0100

    Merge pull request #609 from mpreisler/runlevel_probe_fixes
    
    Runlevel probe fixes

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Dec 7 16:54:43 2016 +0100

    Added --without-syschar to XCCDF man page.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Dec 7 14:21:41 2016 +0100

    Added a deprecated notice in legacy-fix.xsl file.

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed Dec 7 14:07:36 2016 +0100

    Merge pull request #608 from mpreisler/dont_use_which_in_scripts
    
    ShellCheck warnings mostly fixed in our utils scripts

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Dec 7 13:41:30 2016 +0100

    Added support for --without-syschar in XCCDF modules, now it is
    possible to generate OVAL and/or XCCDF results with or without
    OVAL System Characteristics.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 17:26:38 2016 -0500

    Use the correct directory for output in nist_test.sh
    
    Don't dump results in root builddir

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 17:16:40 2016 -0500

    Remove the forgotten R700 datastream from Makefile.am

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 17:07:41 2016 -0500

    Added --outputdir to test_worker.py and started using it
    
    Also removed an unused function in test_worker.py

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 16:57:58 2016 -0500

    Check the oscap return code in test_worker.py
    
    Might catch some more issues.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 16:54:32 2016 -0500

    Removed the set_up and tear_down code from test_worker.py
    
    We don't add tests that require it to upstream test suite anyway. We
    can't rely on externalities.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 16:49:18 2016 -0500

    Removed the R700 test from nist tests
    
    It relies on file outside of build dir and needs to be changed before we
    can include it.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 16:45:55 2016 -0500

    Removed the dry-run functionality from test_worker.py
    
    We don't plan to use it in upstream test-suite.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 16:44:30 2016 -0500

    Remove SCAPVal functionality from test_worker.py
    
    We don't need it in upstream because we don't plan to ship the Java
    based SCAPVal in upstream git anyway.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 16:26:15 2016 -0500

    Fixed a misleading comment in nist_test.sh

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 15:52:06 2016 -0500

    Double quote variables to prevent word splitting in nist_test.sh

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 15:35:18 2016 -0500

    Use absolute builddir and srcdir in nist_test.sh

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 14:18:14 2016 +0100

    Add Makefiles for NIST tests and integrate them to build system

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 14:17:07 2016 +0100

    Add test harness for NIST validation test suite

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:55:38 2016 +0100

    Add R3300 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:54:37 2016 +0100

    Add R3010 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:53:33 2016 +0100

    Add R3005 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:52:31 2016 +0100

    Add R2940 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:51:33 2016 +0100

    Add R2920 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:50:12 2016 +0100

    Add R1200 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:46:37 2016 +0100

    Add R1100 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:43:21 2016 +0100

    Add R700 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:40:24 2016 +0100

    Add R600 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:39:20 2016 +0100

    Add R500 test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:37:45 2016 +0100

    Add ind_variable_test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:34:36 2016 +0100

    Add ind_unknown_test

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 30 13:32:27 2016 +0100

    Add ind_family_test

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 14:45:18 2016 -0500

    Added docs and some more stylistic changes to parse_os_release

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 14:35:39 2016 -0500

    Simplified how the string buffer is handled in runlevel.c parse_os_release
    
    Because &buf[0] is just buf, right?

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 14:27:32 2016 -0500

    Decrease scopes of variables in runlevel.c parse_os_release

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 14:23:01 2016 -0500

    Use tabs in parse_os_release in runlevel.c

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 14:20:37 2016 -0500

    Don't use obsolete bzero from strings.h, use memset instead
    
    memset is standard C...

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 13:46:19 2016 -0500

    Double quote the MASTER_SOCKET variable in oscap-ssh
    
    Resolves ShellCheck warnings.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 13:37:52 2016 -0500

    Use hash instead of which in oscap-vm
    
    Same as parent commit. This also gets rid of ShellCheck warnings in
    oscap-vm. Resolves:
    
    /usr/bin/oscap-vm:97:27: error: Can't use > in [ ]. Escape it or use [[..]]. [SC2073]
    /usr/bin/oscap-vm:97:6: warning: Quote this to prevent word splitting. [SC2046]
    /usr/bin/oscap-vm:99:27: error: Can't use > in [ ]. Escape it or use [[..]]. [SC2073]
    /usr/bin/oscap-vm:99:8: warning: Quote this to prevent word splitting. [SC2046]

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Dec 6 13:34:18 2016 -0500

    Use hash instead of which in oscap-ssh
    
    hash is a builtin in bash, it's faster and more portable.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Dec 6 12:44:30 2016 -0500

    Merge pull request #607 from yuumasato/maint-1.0-fix-free-of-default-profile
    
    Only check ID of profile if profile exists

Author: Watson Sato <wsato@redhat.com>
Date:   Tue Dec 6 17:41:37 2016 +0100

    Comment on why we check for NULL profile in xccdf_profile_free()
    
    A policy which is to use default profile has its profile member set
    to NULL.

Author: Watson Sato <wsato@redhat.com>
Date:   Tue Dec 6 14:06:37 2016 +0100

    Only check ID of profile if profile exists
    
    Freeing a default policy, which has no profile assigned, was causing a segfault.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Dec 1 12:39:29 2016 +0100

    Merge pull request #596 from rsprudencio/maint-1.2-ds-verbose
    
    Added --verbose and --verbose-log-file to 'oscap ds rds-validate'.

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Wed Nov 30 17:16:31 2016 +0100

    Merge pull request #602 from mpreisler/remove_arf_workaround_with_no_applicable_checks
    
    Remove the ARF schematron workaround when there are no applicable checks

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 29 13:41:36 2016 -0500

    Changed XCCDF unit tests to reflect removal of the notchecked workaround
    
    See the parent commit.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 29 12:59:30 2016 -0500

    Remove the ARF schematron workaround when there are no applicable checks
    
    The workaround helps with old ARF schematron issues, see
    http://making-security-measurable.1364806.n2.nabble.com/Xccdf-dev-xccdf-rule-result-element-properties-td7582721.html
    However it also causes issues in SCAPVal which expects no check elements
    in rule-result if none are applicable.
    
    Resolves issues with SCAPVal requirements 370-1 and 370-2.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Nov 29 14:44:32 2016 +0100

    Merge pull request #600 from rsprudencio/maint-1.0-valid-doc
    
    Added a better description to xccdf_session_set_validation() doc.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 29 13:20:56 2016 +0100

    Removed a commented line of code and changed some debug strings
    in xccdf_policy_remediate.c.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Nov 29 11:47:52 2016 +0100

    Merge pull request #599 from rsprudencio/maint-1.0-fix-nullderef
    
    Fixed potential null derefs in rds functions.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 29 10:44:26 2016 +0100

    Fixed potential null derefs in rds functions.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 29 10:33:52 2016 +0100

    Added a better description to xccdf_session_set_validation() doc.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 29 10:19:20 2016 +0100

    Added '[options]' to usage string in rds-validate.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Nov 28 19:11:21 2016 +0100

    Added result-oriented 'generate fix' whenever an user pass a
    result-id, else it will fallback to profile-oriented fix
    generation, which get fixes from all selected rules in
    provided profile.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Nov 28 18:27:41 2016 +0100

    Added --verbose and --verbose-log-file to 'oscap ds rds-validate'.

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Nov 23 13:43:01 2016 -0500

    Merge pull request #593 from rsprudencio/maint-1.2-sysinfo-docker
    
    Fixed a corner case when /etc/hostname is empty, now it sets

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 23 15:29:40 2016 +0100

    Merge pull request #588 from rsprudencio/maint-1.2-improve-generate-fix
    
    Maint 1.2 improve generate fix

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Nov 23 14:39:19 2016 +0100

    Removed unneeded '&& true' from XCCDF applicability test scripts.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Nov 23 14:28:41 2016 +0100

    Fixed a corner case when /etc/hostname is empty, now it sets
    sysinfo hostname to 'Unknown' instead of an empty string.

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Mon Nov 21 13:43:13 2016 +0100

    Merge pull request #592 from rsprudencio/maint-1.2-sysinfo-coverity
    
    Fixed some warnings reported by Coverity in #590.

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Nov 21 11:17:38 2016 +0100

    Bump version after release
    
    Next release from the maint-1.2 branch will be 1.2.13.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Nov 21 10:57:01 2016 +0100

    Fixed some warnings reported by Coverity in #590.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Nov 16 11:40:18 2016 +0100

    Template misleading name is actually related to fix-system,
    so we check for it everytime the user provide a template.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Nov 16 11:20:55 2016 +0100

    Fix XCCDF applicability make check-TEST, there were
    some semantics errors in 2 anaconda tests.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 16 11:07:14 2016 +0100

    openscap-1.2.12

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 16 10:46:44 2016 +0100

    Bump soname from 8.9.0 to 8.10.0
    
    Two new symbols were added, no symbols were removed.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Nov 15 09:40:38 2016 -0500

    Merge pull request #574 from vvinay2/maint-1.2
    
    Skip assessment_check, scanner and discovered-datetime while parsing the CVE entry

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Tue Nov 15 15:25:22 2016 +0100

    Merge pull request #585 from mpreisler/export_win_namespaces
    
    Export OVAL windows namespaces as well

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 15 15:12:13 2016 +0100

    Added --verbose support in 'oscap xccdf generate fix'

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 15 15:10:55 2016 +0100

    Removed fix filtering by applicability, which was filtering fixes
    matching CPE for the running machine that might be different
    from the scanned one.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Nov 15 14:57:02 2016 +0100

    Merge pull request #586 from mpreisler/replace_old_arfrel_ns
    
    Replace old arfrel ns

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 15 08:13:30 2016 -0500

    Fixed the rountrip OVAL results serialization test, it was missing the win NS

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 15 07:51:57 2016 -0500

    Added a comment about arfrel deprecation to rds_index.c

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 15 07:49:43 2016 -0500

    NIST SP800-126 errata unified namespaces for arf vocabulary, let's use the new variant
    
    Resolves:
    WARN : SCHEMATRON - [G2.R3010.results_arf.xml] NIST SP800-126 errata has updated the "arf-rel" namespace to http://scap.nist.gov/specifications/arf/vocabulary/relationships/1.0# The original namespace of http://scap.nist.gov/vocabulary/arf/relationships/1.0# has been detected.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 15 07:16:12 2016 -0500

    Export OVAL windows namespaces as well
    
    This fixes validation issues with CPE OVALs that check for multiple platforms.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Nov 15 13:13:19 2016 +0100

    Merge pull request #584 from mpreisler/segfault_fix_oval_ocil_mappings
    
    Create XCCDf session result maps even when no oval agents are set

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 15 05:39:23 2016 -0500

    Create XCCDf session result maps even when no oval agents are set
    
    Resolves:
    Program received signal SIGSEGV, Segmentation fault.
    oscap_htable_lookup (htable=0x0, key=0x14c3470 "r3300-OCIL.xml") at list.c:441
    
    0  oscap_htable_lookup (htable=0x0, key=0x14c3470 "r3300-OCIL.xml") at list.c:441
    1  0x00007ffff7b285d9 in oscap_htable_get (htable=<optimized out>, key=<optimized out>) at list.c:495
    2  0x00007ffff7b3206d in ds_rds_report_inject_check_content_ref (arf_report_mapping=0x0,
        check_content_ref=0x14c05a0) at rds.c:460
    3  ds_rds_report_inject_rule_result_check_refs (doc=<optimized out>, rule_result=0x14bfbc0,
        arf_report_mapping=0x0) at rds.c:483
    4  ds_rds_report_inject_rule_result_refs (doc=<optimized out>, test_result_node=<optimized out>,
        arf_report_mapping=0x0) at rds.c:499
    5  ds_rds_report_inject_refs (report=report@entry=0x14bcb10,
        asset_id=asset_id@entry=0x14c2bc0 "asset0", arf_report_mapping=arf_report_mapping@entry=0x0,
        doc=<optimized out>) at rds.c:585
    6  0x00007ffff7b32a35 in ds_rds_add_xccdf_test_results (
        report_request_id=0x7ffff7b9830c "collection1", arf_report_mapping=0x0, assets=0x1498300,
        relationships=0x14980c0, xccdf_result_file_doc=0x1474db0, reports=0x14b8830, doc=0x1497d80)
        at rds.c:658
    7  ds_rds_create_from_dom (arf_report_mapping=0x0, oval_result_mapping=0x0, oval_result_sources=0x0,
        xccdf_result_file_doc=0x1474db0, sds_doc=<optimized out>, ret=<synthetic pointer>) at rds.c:723
    8  ds_rds_create_source (sds_source=<optimized out>, xccdf_result_source=<optimized out>,
        oval_result_sources=0x0, oval_result_mapping=0x0, arf_report_mapping=0x0,
        target_file=0x1473cb0 "benchmark1.results_arf.xml") at rds.c:757
    9  0x00007ffff7b8b16c in xccdf_session_create_arf_source (session=0x61ca80) at xccdf_session.c:229
    10 0x00007ffff7b8cf25 in xccdf_session_create_arf_source (session=0x61ca80) at xccdf_session.c:1446
    11 xccdf_session_export_arf (session=session@entry=0x61ca80) at xccdf_session.c:1428
    12 0x000000000040beb0 in app_evaluate_xccdf (action=0x7fffffffde90) at oscap-xccdf.c:523
    13 0x0000000000408120 in oscap_module_call (action=0x7fffffffde90) at oscap-tool.c:261
    14 oscap_module_process (module=0x6154e0 <XCCDF_EVAL>, module@entry=0x614a60 <OSCAP_ROOT_MODULE>,
        argc=argc@entry=8, argv=argv@entry=0x7fffffffe128) at oscap-tool.c:346
    15 0x00000000004071bf in main (argc=8, argv=0x7fffffffe128) at oscap.c:80

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Nov 14 14:26:04 2016 -0500

    Merge pull request #583 from jan-cerny/fix_complex_check_in_arf_results
    
    Fix injecting references to check-content-ref@href

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Nov 14 18:58:35 2016 +0100

    Fix injecting references to check-content-ref@href
    
    This enables to reference OVAL results in arf:report
    if the XCCDF rule contains xccdf:complex-check.
    Previously xccdf:complex-check were ignored.

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Nov 14 04:35:20 2016 -0500

    Merge pull request #582 from jan-cerny/fix_arf_scapval_errors
    
    Fix invalid ARF results

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Fri Nov 11 17:57:52 2016 +0100

    Merge pull request #567 from mpreisler/sds_schematron_version
    
    Changed sds schematron-version attribute to the latest, 1.2

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Nov 11 13:03:33 2016 +0100

    Add const modifiers on some variables

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Nov 11 12:59:21 2016 +0100

    Remove an outdated comment

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 22:57:06 2016 +0100

    Fix invalid free function

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 22:00:02 2016 +0100

    Inject references to arf:report in xccdf:check-content-ref
    
    We have to replace the check-content-ref@href attribute. Originally
    it contains refernce to OVAL definitions. Instead, we need to put there
    ID of arf:report element that conatins OVAl result document with evaluation
    results for the referenced OVAl check.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 21:57:43 2016 +0100

    Pass arf:report IDs into ds_rds_report_inject_refs

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 21:55:44 2016 +0100

    Pass arf:report IDs to ds_rds_add_xccdf_test_results
    
    We will need soon arf:report IDs to use them in
    xccdf:check-content-ref@href attribute.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 21:33:37 2016 +0100

    Use ARF report ID while creating ARF report
    
    Instead of XCCDF Benchmark ID, we will put the real OVAL results ID
    as ARF report ID. This will allow us to reference the part of
    ARF report conataining OVAL results. We will use this ID in
    xccdf:rule-result/check-content-ref@href attribute.
    We need to figure out which OVAL results corresponds with
    which OVAL definitions document, so we use the mapping hash tables
    we created and passed in previous commits.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 21:20:04 2016 +0100

    Pass the mappings to ds_rds_create_source

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 16:48:31 2016 +0100

    Populate results_mapping and arf_report_mapping with data

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Nov 10 14:17:55 2016 +0100

    Add mappings of OVAL filename into XCCDF session
    
    This commit adds two new hash tables that will contain mapping from
    OVAL definitions filename to ARF report ID and OVAL results filename.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Nov 8 10:57:42 2016 -0500

    Merge pull request #578 from OpenSCAP/revert-575-maint-1.2-add-rhel-computenode-cpe
    
    Revert "RHEL 6 ComputeNode CPE and RHEL 7 ComputeNode CPE"

Author: Watson Yuuma Sato <wsato@redhat.com>
Date:   Tue Nov 8 15:41:33 2016 +0100

    Revert "RHEL 6 ComputeNode CPE and RHEL 7 ComputeNode CPE"

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 8 05:18:03 2016 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Nov 7 12:29:23 2016 -0500

    Merge pull request #577 from rsprudencio/maint-1.0-spb_pick_refactor
    
    Small refactor in spb_pick() fix when size == 0, just return

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Nov 7 17:51:30 2016 +0100

    Small refactor in spb_pick() fix when size == 0, just return
    right away instead of getting inside of copy block.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Nov 7 10:24:45 2016 -0500

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Nov 7 10:24:22 2016 -0500

    Merge pull request #576 from rsprudencio/maint-1.0-sexp_parser_issue
    
    Fixed spb_pick() to add 0 sized S-Expression even if our

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Nov 7 14:16:59 2016 +0100

    Fixed spb_pick() to add 0 sized S-Expression even if our
    position index points to end of the string.

Author: Raphael Sanchez Prudencio <rsprudencio@gmail.com>
Date:   Mon Nov 7 13:20:46 2016 +0100

    Merge pull request #560 from radzy/20161019-osrelease-singoovi
    
    Update is_wrlinux to check /etc/os-release

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Nov 7 05:55:24 2016 -0500

    Merge pull request #575 from yuumasato/maint-1.2-add-rhel-computenode-cpe
    
    RHEL 6 ComputeNode CPE and RHEL 7 ComputeNode CPE

Author: Watson Sato <wsato@redhat.com>
Date:   Mon Nov 7 07:44:43 2016 +0100

    RHEL 6 ComputeNode CPE and RHEL 7 ComputeNode CPE
    
    Adding definitions to openscap-shipped CPE dictionary.
    Related to rhbz#1311054.

Author: V Vinay <vvinay@hpe.com>
Date:   Mon Nov 7 11:07:36 2016 +0530

    Skip assessment_check, scanner and discovered-datetime while parsing the CVE entry
    
    Skip assessment_check, scanner and discovered-datetime while parsing the
    CVE entry

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Nov 4 12:51:18 2016 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Nov 4 12:50:25 2016 -0400

    Remove author and date info from manual.adoc
    
    It's very challenging to keep it up to date. Please use git to get the
    list of contributors and latest changed date.

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 2 17:03:06 2016 +0100

    Fix shebangs
    
    /usr/bin/bash is not present on every system, eg. RHEL6.
    Let's replace these with a more universal /bin/bash.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 27 14:38:59 2016 -0400

    Change @style from SCAP_1.1 to SCAP_1.2 when converting XCCDF from 1.1 to 1.2

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Nov 2 13:37:20 2016 +0100

    Merge pull request #572 from OpenSCAP/html_guide_anchors
    
    Add [ref] links to HTML guide

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 1 19:59:49 2016 -0400

    Provide [ref] links next to xccdf Rules as well.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Nov 1 19:57:24 2016 -0400

    Provide a [ref] link next to group titles in HTML guide
    
    This way users can right click and copy link. This link will go to that
    XCCDF group. This is a very practical way to reference XCCDF groups.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Nov 1 12:16:48 2016 -0400

    Merge pull request #569 from yuumasato/maint-1.2-fix-leak-tailoring_source
    
    Fixing a resource leak reported by coverity scan

Author: T.O. Radzy Radzykewycz <radzy@windriver.com>
Date:   Wed Oct 19 16:54:38 2016 -0700

    Update is_wrlinux to check /etc/os-release
    
    Instead of checking the presence of /etc/wrlinux-release, we open
    /etc/os-release and check for the CPE_NAME entry.
    
    Signed-off-by: T.O. Radzy Radzykewycz <radzy@windriver.com>

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Nov 1 10:28:41 2016 -0400

    Merge pull request #559 from rsprudencio/maint-1.2-offline-sysinfo
    
    Temporary fix to remove the need of environment variables

Author: Watson Sato <wsato@redhat.com>
Date:   Tue Nov 1 15:14:38 2016 +0100

    Fixing a resource leak reported by coverity scan
    
    Memory allocated by oscap_source_new_from_xmlDoc() to tailoring_source was not freed.
    The fix relies on the fact that freeing an oscap_source also frees the
    xmlDoc used in its creation.

Author: Martin Preisler <martin@preisler.me>
Date:   Tue Nov 1 09:43:14 2016 -0400

    Merge pull request #561 from jan-cerny/issue475
    
    Issue#475: RHBZ#1387248: Fix oscap-docker reporting incompliance

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 24 10:30:07 2016 +0200

    Issue#475: RHBZ#1387248: Fix oscap-docker reporting incompliance
    
    Compliance scan of a Docker image/container using oscap-docker reported
    incorrectly that there had been an error even if scan had been successful
    but incompliance of the assessed system had been found.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Tue Nov 1 10:09:20 2016 +0100

    Fixed free logic making it more simple in system_info probe.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Mon Oct 31 18:31:56 2016 +0100

    Added support for POSIX Regex in system_info probe.
    
    Refactored the code to move regex compilation outside loops.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 27 15:24:30 2016 -0400

    Changed sds schematron-version attribute to the latest, 1.2

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Oct 20 15:25:03 2016 +0200

    RHBZ#1387166: Fix oscap-docker man page inconsistence

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Thu Oct 20 09:55:13 2016 +0200

    Fixed file descriptors leak in offline system_info probe.

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Wed Oct 19 17:07:54 2016 +0200

    Temporary fix to remove the need of environment variables
    to feed system_info for chroot/vm scans, it currently relies
    on the use of grub2.
    
    Small change in system_info probe logic, it doesn't fail if
    it was not possible to collect system_info, it reports as
    "Unknown" OS name/version/arch and hostname.

Author: Zbyněk Moravec <moraveczbynek@gmail.com>
Date:   Wed Oct 19 15:08:01 2016 +0200

    Merge pull request #555 from mpreisler/sce_separate_stderr
    
    Separate stderr from stdout in SCE

Author: Jan Černý <jcerny@redhat.com>
Date:   Fri Oct 14 19:44:36 2016 +0200

    Bump version after release
    
    Next version from the maint-1.2 branch will be 1.2.12.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Oct 13 16:24:40 2016 +0200

    openscap-1.2.11

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Oct 13 16:15:21 2016 +0200

    Bump soname from 8.8.1 to 8.9.0
    
    6 symbols were added, no symbols were removed.

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Oct 13 15:27:03 2016 -0400

    Merge pull request #556 from ybznek/maint-1.2
    
    Print error message if oscap loads bz2 files and doesn't support them

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Oct 13 20:14:41 2016 +0200

    Print error if oscap doesn't support bz2

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Oct 13 20:04:14 2016 +0200

    benchmark.c: fix indentation (fix GCC hint)

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 13 14:00:25 2016 -0400

    Fixed comment in SCE engine
    
    Indentation and mention that we now use 2 separate pipes

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 13 13:59:41 2016 -0400

    Fix error checking when opening the SCE stderr pipe

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 13 13:58:15 2016 -0400

    Add optional stderr element to SCE result schema
    
    It's optional so that SCE results generated in older versions of
    OpenSCAP validate with newer versions of OpenSCAP.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 13 12:09:29 2016 -0400

    Use the separate stderr SCE result in HTML report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Thu Oct 13 12:04:12 2016 -0400

    Don't interleave stdout and stderr, separate them in SCE

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Oct 13 13:44:27 2016 +0200

    Merge branch 'maint-1.0' into maint-1.2

Author: Zbyněk Moravec <moraveczbynek@gmail.com>
Date:   Mon Oct 10 14:24:37 2016 +0200

    Merge pull request #552 from GautamSatish/update_suse11_cpe
    
    Update SUSE 11 CPE

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Oct 10 13:41:58 2016 +0200

    Merge pull request #553 from rsprudencio/maint-1.0-fix-arithmetic
    
    Fix a bug in Arithmetic complex function

Author: Raphael Sanchez Prudencio <rsprudencio@redhat.com>
Date:   Thu Oct 6 18:25:48 2016 +0200

    Fix a bug in Arithmetic complex function, it was not
    following specification, it should attempt to cast a
    value to correct type before reporting an error.

Author: Gautam Satish <gautams@hpe.com>
Date:   Wed Oct 5 21:26:14 2016 -0700

    Update SUSE 11 CPE

Author: Zbyněk Moravec <moraveczbynek@gmail.com>
Date:   Wed Oct 5 15:54:07 2016 +0200

    Merge pull request #551 from ybznek/maint-1.2-remediation-report
    
    xccdf-share.xsl: HTML report - fix empty table

Author: Zbyněk Moravec <moraveczbynek@gmail.com>
Date:   Wed Oct 5 15:08:46 2016 +0200

    Merge pull request #549 from jan-cerny/tailoring_external_datastream
    
    Add support for tailoring of external datastreams

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Wed Oct 5 14:58:06 2016 +0200

    xccdf-share.xsl: HTML report - fix empty table
    
    If these attributes are not provided we don't want to print
    empty table.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Oct 4 15:34:34 2016 +0200

    Add support for tailoring of external datastreams

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Oct 3 13:54:04 2016 -0400

    Merge pull request #547 from ybznek/maint-1.2-tailor2
    
    enable oscap oval eval --fetch-remote-resources + cleanup

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Oct 3 13:52:30 2016 -0400

    Merge pull request #548 from ybznek/maint-1.2-remediation-report
    
    xccdf report: Add fix attributes

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Oct 3 14:56:43 2016 +0200

    xccdf report: Add fix attributes

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Oct 3 11:23:51 2016 +0200

    ds_sds_session_set_remote_resources() set default callback instead of NULL
    
    Like nullobject design pattern

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Oct 3 11:15:31 2016 +0200

    download_reporting_callback: Print always to stderr

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Oct 3 10:31:44 2016 +0200

    move xccdf_download_cb.h => oscap_download_cb.h
    
    Download CB isn't related to XCCDF

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Oct 3 10:25:28 2016 +0200

    Deduplicate reporting_callback

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Oct 3 10:01:55 2016 +0200

    Enable oscap oval eval --fetch-remote-resources

Author: Martin Preisler <martin@preisler.me>
Date:   Thu Sep 29 12:42:01 2016 -0400

    Merge pull request #546 from redhatrises/add_puppet_report
    
    Add puppet to report generation

Author: Gabe <redhatrises@gmail.com>
Date:   Thu Sep 29 09:19:10 2016 -0600

    Add puppet to report generation

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Sep 29 16:53:40 2016 +0200

    Merge pull request #534 from ybznek/maint-1.2-tailor2
    
    Add support for external (http) components

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Sep 29 15:13:49 2016 +0200

    sds.c: Add Warning prefix

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Sep 29 15:12:41 2016 +0200

    sds.c: Fix indentation

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Sep 29 14:39:09 2016 +0200

    sds.c: Workaround for multiple components
    
    We weren't checking return values of caller functions, so
    we ignored return value & error state. In previous commits
    I started to check return values, but it broke some use
    cases. So rather then ignore all error states, we will ignore
    only error caused by adding already added component.
    https://github.com/OpenSCAP/openscap/issues/545

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Sep 29 13:18:27 2016 +0200

    sds.c: fix return value

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 15:27:16 2016 +0200

    oscap ds sds-split: enable --fetch-remote-resources

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 14:16:39 2016 +0200

    man: Add --fetch-remote-resources to info

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 14:16:05 2016 +0200

    bash completion: Add --fetch-remote-resources to info

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 13:38:21 2016 +0200

    sds.c: Always exit oscap if cannot fetch remote resources

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 13:34:03 2016 +0200

    sds.c: Reduce scope of variables

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 13:25:21 2016 +0200

    Fix english

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 13:19:56 2016 +0200

    sds.c: Fix output for workbench

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 26 13:19:05 2016 +0200

    sds.c: Add "\n" after ok/error status

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Wed Sep 21 10:10:46 2016 +0200

    oscap_acquire_url_download: Enable redirect
    
    We need it for certification R2910

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Wed Sep 21 09:50:39 2016 +0200

    rename function ds_sds_dump_component -> ds_sds_dump_local_component
    
    Currently we have ...dump_remote_component, ...dump_file_component. Renaming should
    make name more explicit

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 19 15:08:12 2016 +0200

    oscap-info: Add support for --fetch-remote-resources

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 19 14:33:54 2016 +0200

    DS: improve downloading status

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 19 13:16:48 2016 +0200

    Download callback: cleanup
    
    Use "null object" design pattern & merge two same types

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 19 09:24:15 2016 +0200

    sds.c: Print warning if --fetch-remote-resources is not allowed

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 20:43:54 2016 +0200

    sds.c: Allow to download external content (http)

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 20:20:51 2016 +0200

    sds.c: Introduce ds_sds_dump_component_by_href
    
    Move part of function to this function

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 20:02:11 2016 +0200

    sds.c: Remove "filename" parameter ds_sds_dump_component()
    
    Function doesn't need to support loading of files, yet.

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 20:00:38 2016 +0200

    sds.c: Refactoring: use ds_sds_dump_file_component
    
    Start to use function introduced in previous commit

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 19:58:56 2016 +0200

    sds.c: Refactoring: create compose_target_filename_dirname
    
    Move part of function to another function

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 19:52:56 2016 +0200

    sds.c: Refactoring: create ds_sds_dump_file_component
    
    Currently not used - similar to ds_sds_dump_component

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 19:42:13 2016 +0200

    sds.c: Refactoring: create ds_sds_get_component_root_by_id
    
    move part of function to another function

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 19:36:52 2016 +0200

    sds.c: Refactoring: ds_sds_register_component

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 19:27:17 2016 +0200

    sds.c: Refactoring: create ds_sds_register_xmlDoc
    
    Move part of function to another function

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 19:22:13 2016 +0200

    sds.c: Refactoring: create ds_sds_register_sce
    
    Move part of function to another function

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 17:23:40 2016 +0200

    sds.c: Refactoring: create ds_sds_register_component
    
    Move part of function to separate function

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Mon Sep 26 16:00:29 2016 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Sep 26 14:53:10 2016 -0400

    Merge pull request #536 from jan-cerny/tailoring_fix
    
    Support tailoring of a checklist located in a different datastream

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 26 15:44:14 2016 +0200

    Fix memory leaks

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 26 15:23:39 2016 +0200

    add a simple test for tailoring in datastreams

Author: Zbyněk Moravec <ybznek@users.noreply.github.com>
Date:   Mon Sep 26 11:57:38 2016 +0200

    Merge pull request #538 from jan-cerny/issue529
    
    Issue #529: Fix a segmentation fault

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 26 10:01:36 2016 +0200

    Merge pull request #540 from yuumasato/maint-1.0-fetch-remote-resource-warning
    
    Consider suggestion to use "--fetch-remote-resources" a warning

Author: Watson Sato <wsato@redhat.com>
Date:   Thu Sep 22 17:43:46 2016 +0200

    Consider suggestion to use "--fetch-remote-resources" a warning
    
    SCAP Workbench is parsing this message as progress status and
    showing errors, while actually this message is a warning.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Sep 22 15:04:38 2016 +0200

    Issue #529: Fix a segmentation fault
    
    Strings expected in format strings were not supplied.
    Compiler was OK with that because it is a function with
    variable count of parameters.

Author: Jan Černý <jcerny@redhat.com>
Date:   Thu Sep 22 12:42:40 2016 +0200

    Support tailoring of a checklist located in a different datstream
    
    This commit fixes processing of tailoring within datastreams.
    It is now possible to have a datastream collection with multiple datastreams,
    where XCCDF tailoring and XCCDF checklist are not both in the same datastream.

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Sep 21 14:16:55 2016 -0400

    Merge branch 'maint-1.2-doc2' of https://github.com/ybznek/openscap into ybznek-maint-1.2-doc2

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Wed Sep 21 12:41:18 2016 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Wed Sep 21 12:40:54 2016 -0400

    Merge pull request #518 from ybznek/maint-1.0-doc
    
    Add missing manual sections

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:23:20 2016 +0200

    manual.adoc: OVAL: add --without-syschar paragraph

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 15:53:30 2016 +0200

    manual.adoc: Fix grammar

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:42:45 2016 +0200

    manual.adoc: Evaluation of content use passive

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:37:14 2016 +0200

    manual.adoc: Evaluation of content: can contains -> can contain

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:36:21 2016 +0200

    manual.adoc: tailoring - use passive

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:32:34 2016 +0200

    manual.adoc: Despite of -> Instead of

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:31:49 2016 +0200

    manual.adoc: change fetch -> download

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:26:35 2016 +0200

    manual.adoc: change is -> are

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:25:53 2016 +0200

    manual.adoc: CCE,CVE identifiers - add explanation

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 09:22:25 2016 +0200

    manual.adoc: OVAL rewrite to passive form

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Thu Sep 1 14:39:46 2016 +0200

    manual.adoc: directives file

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 5 13:26:42 2016 +0200

    manual.adoc: Add tailoring

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Wed Aug 31 13:15:19 2016 +0200

    manual.adoc: Add example of evaluation without profile

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Wed Aug 31 09:39:22 2016 +0200

    manual.adoc: Add patches are up-to-date section

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 5 13:20:28 2016 +0200

    manual.adoc: Add <rule-result> to identifiers

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 21 13:02:27 2016 +0200

    Merge pull request #533 from yuumasato/maint-1.0
    
    Fix results of XCCDF rules with @role="unscored".

Author: Watson Sato <wsato@redhat.com>
Date:   Wed Sep 21 10:47:35 2016 +0200

    Fix indentation

Author: Jan Černý <jcerny@redhat.com>
Date:   Wed Sep 21 10:45:19 2016 +0200

    Merge pull request #531 from ybznek/maint-1.2-tailor3
    
    Loading of external components

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 16:01:08 2016 +0200

    tests: Load external xccdf component

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 16:18:42 2016 +0200

    sds.c: Add support to reference external WHOLE file

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 15:31:23 2016 +0200

    sds.c: Fix error checking

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 16 15:24:06 2016 +0200

    sds.c: Load file from right relative path

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Tue Sep 13 19:06:41 2016 +0200

    sds.c: Fix memory leaks

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Tue Sep 13 17:12:57 2016 +0200

    sds.c: Allow load components using xlink file:

Author: Watson Sato <wsato@redhat.com>
Date:   Mon Sep 19 15:44:00 2016 +0200

    Fix results of XCCDF rules with @role="unscored".
    
    When a XCCDF rule has @role="unscored", perform all the checks but mark
    the result as XCCDF_RESULT_INFORMATIONAL.
    
    https://github.com/OpenSCAP/openscap/issues/525

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Sep 19 10:47:43 2016 -0400

    Merge pull request #530 from ybznek/maint-1.2-wi
    
    bash_completion: add --without-syschar

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 19 15:15:29 2016 +0200

    bash_completion: add --without-syschar

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Fri Sep 16 10:14:21 2016 -0400

    Merge branch 'maint-1.0' into maint-1.2

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Sep 16 10:13:56 2016 -0400

    Merge pull request #527 from yuumasato/maint-1.0-fix-export-override
    
    Fix export of overrided oscap_text

Author: Watson Sato <wsato@redhat.com>
Date:   Fri Sep 16 11:47:38 2016 +0200

    Only export override attribute when necessary
    
    Export override attribute of oscap_text only when the element can
    override parent value and it does override the value.
    
    The default value for override is false, there is no need to export it
    if it`s false.

Author: Watson Sato <wsato@redhat.com>
Date:   Thu Sep 15 18:19:34 2016 +0200

    Fix export of overrided oscap_text
    
    This change allows attributes marked as overriders by
    oscap_text_set_override() to be exported.
    
    Exportation of an overrider attribute is conditioned by override_given.
    But override_given is only set when an imported attribute has override
    capability set. So, when an oscap_text was marked as overrider by
    oscap_text_set_set_override() the attribute was never exported.
    
    Related to RHBZ#1320194.

Author: Jan Černý <jcerny@redhat.com>
Date:   Tue Sep 13 11:20:40 2016 +0200

    Merge pull request #523 from ybznek/without-syschar
    
    Added support to not to export system characteristics

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 15:48:50 2016 +0200

    test_without_syschars.sh: Update --without-syschars -> --without-syschar

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 15:44:46 2016 +0200

    utils/oscap.8: Add --without-syschar

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Mon Sep 12 15:41:05 2016 +0200

    change --without-syschars => --without-syschar

Author: Jan Černý <jcerny@redhat.com>
Date:   Mon Sep 12 12:43:21 2016 +0200

    Merge pull request #521 from ybznek/maint-1.2-disable-ansible
    
    xccdf_policy_remediate.c: Disable run of ansible remediation

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Sun Sep 11 19:59:40 2016 +0200

    Add test for --without-syschars

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Sun Sep 11 19:45:33 2016 +0200

    Add --without-syschars option
    
    http://nvlpubs.nist.gov/nistpubs/ir/2016/NIST.IR.7511r4.pdf req. SCAP.R.1900
    
    What are system characteristics?
    http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-126r1.pdf page 27

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Tue Sep 6 20:15:24 2016 +0200

    xccdf_policy_remediate.c: Remove ansible support
    
    We cannot run ansible snippet easily, now - due to missing header

Author: Martin Preisler <martin@preisler.me>
Date:   Fri Sep 9 09:52:58 2016 -0400

    Merge pull request #522 from ybznek/maint-1.2-generate-fix
    
    ansible generate fix - add header & indentation

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Fri Sep 9 13:24:01 2016 +0200

    xccdf_policy_remediate.c: Prevent unwanted run of ansible
    
    This force users to check output & add right host

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Sep 6 14:14:58 2016 -0400

    Show remediation as collapsed by default, add a button to HTML guide and report to expand
    
    Remediations can be quite long and this improves the UX of HTML guide
    and report.

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Tue Sep 6 18:09:32 2016 +0200

    xccdf_policy_remediate.c: Add correct ansible indentation
    
    When we generate ansible playbook with header, we need to add indentation to
    ansible tasks

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Sep 6 13:51:15 2016 -0400

    Show the type of remediation script, shell script vs ansible snippet in HTML guide and report

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Sep 6 13:42:40 2016 -0400

    Moved the remediation description labels in report and guide to xccdf-share.xsl

Author: Martin Preisler <mpreisle@redhat.com>
Date:   Tue Sep 6 13:40:34 2016 -0400

    Moved the remediation script label in report and guide to xccdf-share.xsl

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Tue Sep 6 17:40:01 2016 +0200

    xccdf_policy_remediate.c: Add ansible header to fix output

Author: Zbynek Moravec <zmoravec@redhat.com>
Date:   Tue Sep 6 17:30:01 2016 +0200

    xccdf_policy_remediate.c: Split _write_text_to_fd_and_free

Author: Martin Preisler <martin@preisler.me>
Date:   Mon Sep 5 10:46:03 2016 -0400

    Merge pull request #517 from ybznek/maint-1.2-tailoring-fix
